#!/bin/bash
#
# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

MEDIA_MAP="${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map"

#--------------------------------------------------------------------------------
# Rolling back AIA SOA patch

echo "Rolling back aia soa patch" 

IFS='|' read -a AIA_SOA_PATCHSET_ROLLBACK <<< "${MEDIA_DIRECTORY_ROLLBACK_SOA_PATCHSET}"
echo "AIA_SOA_PATCHSET_ROLLBACK : ${AIA_SOA_PATCHSET_ROLLBACK}"
COUNTER=0
for name in "${AIA_SOA_PATCHSET_ROLLBACK[@]}"
do
		echo "AIA_SOA Patch Set , Part  = ${name}"
		echo "directory is $SOA_MEDIA_DOWNLOAD_DIR/soa/$name"
		cd $SOA_MEDIA_DOWNLOAD_DIR/soa/$name
		/bin/bash -c "export PATH=$SOA_HOME_DIR/OPatch:$PATH ; export ORACLE_HOME=$SOA_HOME_DIR ; $SOA_HOME_DIR/OPatch/opatch rollback -id $name -jre $JAVA_HOME -silent"
		eval
	COUNTER=`expr $COUNTER + 1`
done

echo "AIA SOA Patch roll back finished"

