#!/bin/sh
#
# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

MEDIA_MAP="${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map"

echo "Installing AIA_SOA Patchset ${AIA_SOA_PATCHSET_NO} (${AIA_SOA_PACHSET_INFO})..............."
echo "MEDIA_NAME_AIA_SOA_PATCHSET $MEDIA_NAME_AIA_SOA_PATCHSET"
IFS='|' read -a AIA_SOA_PATCHSET_NAME <<< "${MEDIA_NAME_AIA_SOA_PATCHSET}"
IFS='|' read -a AIA_SOA_PATCHSET_DIRECTORY <<< "${MEDIA_DIRECTORY_AIA_SOA_PATCHSET}"
echo "AIA_SOA_PATCHSETS : ${AIA_SOA_PATCHSET_NAME}"
COUNTER=0
for name in "${AIA_SOA_PATCHSET_NAME[@]}"
do
    echo "AIA_SOA Patch Set , Part  = ${name}"
	patchdirectory=${AIA_SOA_PATCHSET_DIRECTORY[$COUNTER]}
    NAME_COUNT=`cat ${MEDIA_MAP} | grep -i ${name} | wc -l`
    echo "Number of instances found in MEDIA MAP file = "${NAME_COUNT}
    LOC=MEDIA_LOC_${name}
    eval "echo \"$LOC has value \${${LOC}}\""
    if [ ${NAME_COUNT} > 0 ]
        then
          echo "Phase 0 of ${name}"
          mik_collect_media ${name}
          echo "Phase 1 of ${name}"
		  echo " in the direcoroty $SOA_MEDIA_DOWNLOAD_DIR/soa \$LOC} "
          eval "/usr/bin/unzip -o -q -d $SOA_MEDIA_DOWNLOAD_DIR/soa \${${LOC}}"
		  echo "directory is $SOA_MEDIA_DOWNLOAD_DIR/soa/$patchdirectory"
		  cd $SOA_MEDIA_DOWNLOAD_DIR/soa/$patchdirectory
		  /bin/bash -c "export PATH=$SOA_HOME_DIR/OPatch:$PATH ; export ORACLE_HOME=$SOA_HOME_DIR ; $SOA_HOME_DIR/OPatch/opatch apply -jre $JAVA_HOME -silent"
		  eval
    fi
	COUNTER=`expr $COUNTER + 1`
done

echo "SOA Suite patched"

