#!/bin/bash
#
# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# Verify command line parameters
if [ $# -ne 4 ]; then
	echo "Usage: $0 domainLocation serverName adminHost adminPort"
	exit 1
fi
domainLocation=$1
serverName=$2
adminHost=$3
adminPort=$4

dirLocation=$domainLocation/servers/$serverName/data/nodemanager

echo "Creating startup.properties at ${dirLocation} ..."
mkdir -p $dirLocation

cd $dirLocation

touch startup.properties
echo "username=${username}" > startup.properties
echo "password=${password}" >> startup.properties

echo "SSLArguments=-Dweblogic.security.SSL.ignoreHostnameVerification\=true -Dweblogic.ReverseDNSAllowed\=false" > startup.properties
echo "RestartMax=2" >> startup.properties
echo "RestartDelaySeconds=0" >> startup.properties
echo "RestartInterval=3600" >> startup.properties
echo "AdminURL=http\://$adminHost\:$adminPort" >> startup.properties
echo "AutoRestart=true" >> startup.properties
echo "AutoKillIfFailed=false" >> startup.properties

echo "startup.properties created on $serverName"

