#!/bin/bash
#
# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

echo "Reading configuration" 

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

echo "Configuration read"

#--------------------------------------------------------------------------------
# mounting cluster Shared Location on the cluster nodes

/bin/mkdir -p $CLUSTER_SHARED_LOCATION
	
## mouting the cluster shared location 
if mountpoint -q "$CLUSTER_SHARED_LOCATION"; then
	echo "Cluster Shared Location $CLUSTER_SHARED_LOCATION is already mounted.Skipping mounting"

else 
	/bin/bash -c "SUDO_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_sudo.sh ; export SUDO_ASKPASS ; $SUDO_PROGRAM -A -k -E -p '%H:%p' /bin/mount $WEBLOGIC_HOST:$CLUSTER_SHARED_LOCATION  $CLUSTER_SHARED_LOCATION"
fi

## adding the mount to /etc/fstab which will ensure shared location is mounted after reboot of the host too. 
if grep -Fxq "$WEBLOGIC_HOST:$CLUSTER_SHARED_LOCATION    $CLUSTER_SHARED_LOCATION   nfs     rw" /etc/fstab ; then
	echo "mount location is already exported. Export skipped"
else
	/bin/bash -c "SUDO_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_sudo.sh ; export SUDO_ASKPASS ; $SUDO_PROGRAM -A -k -E -p '%H:%p' /bin/bash -c 'echo -e \"\n$WEBLOGIC_HOST:$CLUSTER_SHARED_LOCATION    $CLUSTER_SHARED_LOCATION   nfs     rw\" >> /etc/fstab' "
fi
	
echo "shared location mounted"


