#!/bin/bash
#
# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



echo "Reading configuration"

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
source $THIS_DIR/../common/knobs

echo "Configuration read"

mkdir -p ${AIA_WEBLOGIC_DOMAIN_HOME_DIR}/servers/AdminServer/logs

nohup ${AIA_WEBLOGIC_DOMAIN_HOME_DIR}/bin/startWebLogic.sh >> ${AIA_WEBLOGIC_DOMAIN_HOME_DIR}/servers/AdminServer/logs/AdminServer.log 2>> ${AIA_WEBLOGIC_DOMAIN_HOME_DIR}/servers/AdminServer/logs/AdminServer.err &

# check for AdminServer server start
echo -n "Waiting for AdminServer startup ..."
timeout=600
while [ "${timeout}" -ge 0 ]; do
	wget --spider http://${WEBLOGIC_HOST}:${WEBLOGIC_PORT}/console > /dev/null 2>&1
	if [ $? -ne 0 ]; then
		echo -n .
		sleep 10
		timeout=`expr "$timeout" - 10`
	else
		echo " started"
		timeout=-5
	fi
done

if [ "${timeout}" -ne "-5" ]; then
	echo " failed"
	echo "AdminServer starting failed, timedout in $timeout...."
	exit 1
fi
