#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#


THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo FAILED" ERR
set -e
set -E
set -o pipefail

MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/readlink -fnqs $MANAGEABLE_INSTALL_TOOL_DIR/../..`

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/global_knobs
source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map.template
source $THIS_DIR/../common/knobs

echo "JDK 8 ${MEDIA_DL_TARGET_LOC_JDK}"
${MANAGEABLE_INSTALL_TOOL_DIR}/${DEFAULT_DATABASE_12C_SCRIPT_MODULE_NAME}/common/print_media_inventory.sh
echo "DATABASE CLIENT 32bit ${MEDIA_DL_TARGET_LOC_DB_CLIENT_32}"
echo "DATABASE CLIENT 64bit ${MEDIA_DL_TARGET_LOC_DB_CLIENT_64}"
echo "FMW ${MEDIA_DL_TARGET_LOC_FMW}"
echo "SOA ${MEDIA_DL_TARGET_LOC_SOA}"

#AIA_SOA PATCHSET
echo "AIA_SOA PATCHSET"
IFS='|' read -a AIA_SOA_PATCHSET_NAME <<< "${MEDIA_NAME_AIA_SOA_PATCHSET}"
for name in "${AIA_SOA_PATCHSET_NAME[@]}"
do
    LOC=MEDIA_DL_TARGET_LOC_${name}
    eval "echo \"${name} \${${LOC}}\""
done

if [ "$IS_SOA_CLUSTERED" -eq "1" ] ; then 
${MANAGEABLE_INSTALL_TOOL_DIR}/$DEFAULT_OHS_SCRIPT_MODULE_NAME/common/print_media_inventory.sh 
 fi

