#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

echo "Prevalidating installation environment"

$JAVA_HOME/bin/java -cp $THIS_DIR/../common:$THIS_DIR/../../common prevalidate $THIS_DIR/../..

echo "Installation environment prevalidated"

#-------------------------------------------------------------------------------
# Generate Install Tool Driver Files
echo AIA_WEBLOGIC_DOMAIN_HOME_DIR=$AIA_WEBLOGIC_DOMAIN_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo MANAGEABLE_INSTALL_TOOL_DIR=$MANAGEABLE_INSTALL_TOOL_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo WEBLOGIC_ADMIN_USER=$WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo WEBLOGIC_ADMIN_USER_PASSWORD=$WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo WEBLOGIC_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_SCRIPT_MODULE_NAME=$AIA_SCRIPT_MODULE_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/admin/generate_aia_topology.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/admin/generate_aia_topology.py

/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties

#-------------------------------------------------------------------------------
# Preconfigure AIA Topology information
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/admin/generate_aia_topology.py"

