#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

echo "Configuration read"

#-------------------------------------------------------------------------------
# Generate Install Tool Driver Files
echo MEDIA_DOWNLOAD_DIR=$MEDIA_DOWNLOAD_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_HOME_DIR=$AIA_MIDDLEWARE_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_WEBLOGIC_DOMAIN_NAME=$AIA_WEBLOGIC_DOMAIN_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo BRM_HOST=$BRM_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo BRM_CM_PASSWORD=$BRM_CM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo BRM_PORT=$BRM_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo SOA_DATABASE_SCHEMA_NAME=$SOA_DATABASE_SCHEMA_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo BRM_JCAADAPTER_DEPLOYMENT_ORDER=$BRM_JCAADAPTER_DEPLOYMENT_ORDER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo BRM_DATABASE_USER=$BRM_DATABASE_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties

echo # Templates
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca1.py.template

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/shutdown_wls.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/shutdown_wls.py

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/status_wls.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/status_wls.py

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/Plan.xml.template > $AIA_MIDDLEWARE_HOME_DIR/Plan.xml

/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties

#-------------------------------------------------------------------------------
# Collect media

# NOTE: Covered in O2C install.

#echo "Collecting media"

#/bin/mkdir -p ${MEDIA_DOWNLOAD_DIR}/aiacompip

#/bin/bash -c "export MIK_ASKPASS_HOST=${BRM_HOST} ; export MIK_ASKPASS_USER=${BRM_HOST_OS_USER_NAME} ; export SSH_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_ssh.sh ; export DISPLAY= ; /usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/apps/brm_integrations/jca_adapter/OracleBRMJCA15Adapter.rar ${MEDIA_DOWNLOAD_DIR}/aiacompip/OracleBRMJCA15Adapter.rar"

#MEDIA_HOST_TEMP=slc03prb.us.oracle.com
#BRM_HOST_OS_USER_NAME=friend

#/bin/bash -c "export MIK_ASKPASS_HOST=${MEDIA_HOST_TEMP} ; export MIK_ASKPASS_USER=${BRM_HOST_OS_USER_NAME} ; export SSH_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_ssh.sh ; export DISPLAY= ; /usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${MEDIA_HOST_TEMP}:/private/downloads/aia_middleware_12.2.1.1.0/OracleBRMJCA15Adapter.rar ${MEDIA_DOWNLOAD_DIR}/aiacompip/OracleBRMJCA15Adapter.rar"

#echo "Media collected"

#-------------------------------------------------------------------------------
# Install BRM JCA

# NOTE: Covered in O2C install.

#echo "Installing BRM JCA Adapter"

#$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca1.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca.py
#/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca.py"
/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_jca1.py.template


#-------------------------------------------------------------------------------
# Install aabc PIP
echo "Invoking AABC PIP install"

$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/install_aabc_pip.sh

#-------------------------------------------------------------------------------
# Configure BRM id

# NOTE: Covered in O2C install.

#echo "Configuring BRM id"

# TODO assumes db client install from aia_middleware installation
#/bin/bash -c "export PATH=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR}/bin:${PATH} ; export ORACLE_SID=${AIA_MIDDLEWARE_DATABASE_SID} ; export ORACLE_HOME=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR} ; export LD_LIBRARY_PATH=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR}/lib:${LD_LIBRARY_PATH} ; $AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR/bin/sqlplus $SOA_DATABASE_SCHEMA_NAME/${AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD}@//$AIA_MIDDLEWARE_DATABASE_HOST:$AIA_MIDDLEWARE_DATABASE_PORT/$AIA_MIDDLEWARE_DATABASE_GLOBAL_NAME @$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/update_brm_id.sql"

#echo "BRM id configured"

#-------------------------------------------------------------------------------

# Restart AIA middleware

echo "Restarting AIA middleware"

source $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology
mserverList=""
for serverType in SOA; do
        SERVER_COUNT=0
        SERVER_TYPE=$serverType
        serverCountString=$serverType"_SERVER_COUNT"
        eval SERVER_COUNT='${'$serverCountString'}'
  if [ ${SERVER_COUNT} -gt 0 ];then
     for (( c=1; c<=${SERVER_COUNT}; c++ )); do
        serverNameKey="MSERVER_"$SERVER_TYPE"_NAME_"$c
        eval serverNameVal='${'$serverNameKey'}'
        mserverList=$mserverList','$serverNameVal
     done
  fi
done
mserverList=$(echo $mserverList|sed -e 's/,//')
echo $mserverList

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/shutdown_wls.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/shutdown_wls.py
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/shutdown_wls.py $mserverList"

/usr/bin/nohup $AIA_WEBLOGIC_DOMAIN_HOME_DIR/bin/startWebLogic.sh &> /dev/null < /dev/null &
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/status_wls.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/status_wls.py
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/map.properties
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_aabc/aiapip_aabc/status_wls.py"

source $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; /usr/bin/nohup $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/admin/admin_managedserver.py stop ${mserverList}"
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; /usr/bin/nohup $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/admin/admin_managedserver.py start ${mserverList}"

echo "AIA middleware restarted"