#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

echo "Configuration read"

#-------------------------------------------------------------------------------
# Prepare OSM
$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/go_prepare_osm.sh

#-------------------------------------------------------------------------------
# Prepare Siebel
if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
   then
       $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/go_prepare_siebel.sh
fi

#-------------------------------------------------------------------------------
# Prepare BRM
# Perform this configurations only when RMS-RI is not integrated
if [ ${USE_RMS_RI} == "1" ]
then
  $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/go_prepare_rmsri_brm.sh
else
  $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/go_prepare_brm.sh
fi


#-------------------------------------------------------------------------------
# Prepare AIA MW
$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/go_prepare_aiamw.sh

