#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

echo "Prevalidating installation environment"

$JAVA_HOME/bin/java -cp $THIS_DIR/../common:$THIS_DIR/../../common prevalidate $THIS_DIR/../..

echo "Installation environment prevalidated"

#-------------------------------------------------------------------------------
# Generate Install Tool Driver Files

echo AIA_HOME_DIR=$AIA_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_HOME_NAME=$AIA_HOME_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_WEBLOGIC_DOMAIN_NAME=$AIA_WEBLOGIC_DOMAIN_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo JAVA_HOME=$JAVA_HOME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_INSTANCE_NAME=$AIA_INSTANCE_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_HOST=$SIEBEL_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_SERVER_NAME=$SIEBEL_SERVER_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_INTERNAL_ID=$SIEBEL_INTERNAL_ID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_HOST=$SIEBEL_DATABASE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_PORT=$SIEBEL_DATABASE_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_SID=$SIEBEL_DATABASE_SID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_HOST=$BRM_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_USER=$BRM_DATABASE_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_PASSWORD=$BRM_DATABASE_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_HOST=$BRM_DATABASE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_PORT=$BRM_DATABASE_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_SID=$BRM_DATABASE_SID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PASSWORD=$BRM_CM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PORT=$BRM_CM_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_APP_VERSION=$BRM_APP_VERSION >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo OSM_HOST=$OSM_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo OSM_PASSWORD=$OSM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties



$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPResponse.rsp.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPResponse.rsp

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script1.py.template

/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

#-------------------------------------------------------------------------------
# Collect media

rm -rf $MEDIA_LOC_AIA_PIPS
echo "Collecting media"

mik_collect_media AIA_PIPS

echo "Media collected"

#-------------------------------------------------------------------------------
# Install PIPs

echo "Running Installer"

/usr/bin/unzip -q -o -d $AIA_HOST_AIAPIP_MEDIA_DOWNLOAD_DIR $MEDIA_LOC_AIA_PIPS

cd $AIA_HOST_AIAPIP_MEDIA_DOWNLOAD_DIR
java -jar comms_home_installer_generic.jar -silent -responseFile $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPResponse.rsp 
  
echo "Installer Completed"


#-------------------------------------------------------------------------------
# Preconfigure AIA FP

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_HOME_DIR=$AIA_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_HOME_NAME=$AIA_HOME_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo JAVA_HOME=$JAVA_HOME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_INSTANCE_NAME=$AIA_INSTANCE_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_WEBLOGIC_DOMAIN_NAME=$AIA_WEBLOGIC_DOMAIN_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_HOST=$SIEBEL_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_SERVER_NAME=$SIEBEL_SERVER_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_INTERNAL_ID=$SIEBEL_INTERNAL_ID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_PORT=$SIEBEL_DATABASE_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_SID=$SIEBEL_DATABASE_SID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_DATABASE_HOST=$SIEBEL_DATABASE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_HOST=$BRM_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_HOST=$BRM_DATABASE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_PORT=$BRM_DATABASE_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_SID=$BRM_DATABASE_SID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_USER=$BRM_DATABASE_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_DATABASE_PASSWORD=$BRM_DATABASE_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PASSWORD=$BRM_CM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PORT=$BRM_CM_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo OSM_PASSWORD=$OSM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_WEBLOGIC_DOMAIN_HOME_DIR=$AIA_WEBLOGIC_DOMAIN_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo OSM_CFS_USER=$OSM_CFS_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo OSM_PROV_USER=$OSM_PROV_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_AQ_QUEUE=$BRM_AQ_QUEUE >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_USER=$SIEBEL_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_PASSWORD=$SIEBEL_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_PORT=$SIEBEL_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_SID=$AIA_MIDDLEWARE_DATABASE_SID >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_HOST=$AIA_MIDDLEWARE_DATABASE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo DATABASE_ROLE=$DATABASE_ROLE >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_SYS_USER_NAME=$AIA_MIDDLEWARE_DATABASE_SYS_USER_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD=$AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_PORT=$AIA_MIDDLEWARE_DATABASE_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD=$AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SOA_DATABASE_SCHEMA_NAME=$SOA_DATABASE_SCHEMA_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_PROXY_HOST_NAME=$CPQ_PROXY_HOST_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_PASSWORD=$CPQ_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_HOST_NAME=$CPQ_HOST_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_ALIAS=$CPQ_ALIAS >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_PORT=$CPQ_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_USER=$CPQ_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_PROXY_PORT=$CPQ_PROXY_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_KEYSTORE_PASSWORD=$CPQ_KEYSTORE_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo CPQ_KEYSTORE=$CPQ_KEYSTORE >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

#ODI parameters
echo ODI_ACCESS_PATH=$ODI_ACCESS_PATH >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_DATABASE_HOST=$ODI_DATABASE_HOST  >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_ACCESS_DVM_PATH=$ODI_ACCESS_DVM_PATH >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_ACCESS_USER=$ODI_ACCESS_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_ACCESS_PASSWORD=$ODI_ACCESS_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_DATABASE_PORT=$ODI_DATABASE_PORT>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_DATABASE_SID=$ODI_DATABASE_SID>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_MASTER_DB_USER=$ODI_MASTER_DB_USER>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_MASTER_DB_PASSWORD=$ODI_MASTER_DB_PASSWORD>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_WORK_REPOSITORY_NAME=$ODI_WORK_REPOSITORY_NAME>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_WORK_REPOSITORY_ID=$ODI_WORK_REPOSITORY_ID>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_AGENT_APP_NAME=$ODI_AGENT_APP_NAME>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_AGENT_PORT=$ODI_AGENT_PORT>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo ODI_HOME_DIR=$ODI_HOME_DIR>> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

echo XREF_TEMP_TABLESPACE=$XREF_TEMP_TABLESPACE >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo XREF_DEFAULT_TABLESPACE=$XREF_DEFAULT_TABLESPACE >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo XREF_SCHEMA_PASSWORD=$XREF_SCHEMA_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo XREF_SCHEMA_NAME=$XREF_SCHEMA_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo IS_SOA_CLUSTERED=$IS_SOA_CLUSTERED >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SPLIT_XREF_ENABLED=$SPLIT_XREF_ENABLED >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

# TODO move module name to knobs
OSM_SCRIPT_MODULE_NAME=${DEFAULT_OSM_SCRIPT_MODULE_NAME}
$MANAGEABLE_INSTALL_TOOL_DIR/${OSM_SCRIPT_MODULE_NAME}/osm/prepare_osm_topology.sh ${OSM_HOST} ${OSM_ADMIN_SERVER_WEBLOGIC_PORT} ${OSM_WEBLOGIC_ADMIN_USER} ${OSM_WEBLOGIC_ADMIN_USER_PASSWORD} ${AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR}
source $MANAGEABLE_INSTALL_TOOL_DIR/${OSM_SCRIPT_MODULE_NAME}/osm/osm_topology
if [ ${OSM_CLUSTER} == "1" ]
then
  echo OSM_HOST=$PSERVER_OSM_HOSTNAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo OSM_PORT=$PSERVER_OSM_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
else
  echo OSM_HOST=$MSERVER_OSM_HOSTNAME_1 >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo OSM_PORT=$MSERVER_OSM_PORT_1 >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
fi

echo OSM_VERSION=$OSM_APP_VERSION >>  $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_VERSION=$BRM_APP_VERSION >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_VERSION=$SIEBEL_APP_VERSION >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

if [ ${IS_SOA_CLUSTERED} == "1" ]
then
  echo SOA_WL_MS_NAME=$CLUSTER_NAME_SOA >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo CLUSTER_SHARED_LOCATION=$CLUSTER_SHARED_LOCATION >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo SOA_PORT=$CLUSTER_PROXY_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
else
  echo SOA_WL_MS_NAME=$MSERVER_SOA_NAME_1 >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo CLUSTER_SHARED_LOCATION= >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
  echo SOA_PORT=$MSERVER_SOA_PORT_1 >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
fi
if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
   then
       echo Order2Cash_Siebel=true >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
   else
       echo Order2Cash_Siebel=false >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
fi
if [ $RODOD_TOPOLOGY == 2 -o $RODOD_TOPOLOGY == 3 ]
   then
       echo Order2Cash_CPQ=true >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
   else
       echo Order2Cash_CPQ=false >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
fi

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig.rsp.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig1.rsp.template
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig1.rsp.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig.rsp
/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig1.rsp.template

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script1.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script.py
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script.py"
/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/script1.py.template


#-------------------------------------------------------------------------------
# Configure PIP
echo "Running DCW"
cd $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin
sed -i -e 's/ANT_HOME=\(.*\)/ANT_HOME=\$\{MW_HOME\}\/oracle_common\/modules\/thirdparty\/org.apache.ant\/1.9.8.0.0\/apache-ant-1.9.8/g'  $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh
sed -i -e 's/\${MW_HOME}\/oracle_common\/modules\/net.sf.antcontrib_1.1.0.0_1-0b3\/lib\/ant-contrib.jar/\${MW_HOME}\/oracle_common\/modules\/thirdparty\/ant-contrib-1.0b3.jar/g'  $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh
sed -i -e 's/\${MW_HOME}\/oracle_common\/BC4J\/jlib\/commons-cli-1.0.jar:/\${SOA_HOME}\/soa\/modules\/commons-cli-1.1.jar:\${MW_HOME}\/oracle_common\/modules\/oracle.toplink\/eclipselink.jar:\${MW_HOME}\/oracle_common\/modules\/com.sun.xml.bind.jaxb-impl.jar:\${MW_HOME}\/oracle_common\/modules\/com.oracle.http_client.http_client.jar:/g'  $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh
source $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh 

cd $AIA_HOME_DIR/comms_home/config 
./run_config.sh -noValidations -mode=silent -debug -responseFile=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/AIAPIPConfig.rsp -waitforcompletion

echo "DCW configuration completed"

#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
# Deploy PIP
cd $AIA_HOME_DIR/comms_home/bin
## Updating the variables in commsenv.sh script, in case they are not updated earlier ##
sed -i -e 's/<DOMAINLOCATION>/$DOMAIN_LOCATION/g' $AIA_HOME_DIR/comms_home/bin/commsenv.sh
sed -i -e 's/<COMMS_HOMELOCATION>/$AIA_HOME_DIR\/comms_home/g' $AIA_HOME_DIR/comms_home/bin/commsenv.sh
source $AIA_HOME_DIR/comms_home/bin/commsenv.sh 

# cd $AIA_HOME_DIR/comms_home/pips/Communications/O2C/DeploymentPlans
# sh deployO2C.sh

cd $AIA_HOME_DIR/comms_home/pips/Communications
sh setupO2C.sh $AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER $AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD

echo "Deploy O2C completed"
