#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

echo "Configuration read"

#-------------------------------------------------------------------------------
# Generate Install Tool Driver Files
echo MEDIA_DOWNLOAD_DIR=$MEDIA_DOWNLOAD_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_HOME_DIR=$AIA_MIDDLEWARE_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_WEBLOGIC_DOMAIN_NAME=$AIA_WEBLOGIC_DOMAIN_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_HOST=$BRM_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PASSWORD=$BRM_CM_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_CM_PORT=$BRM_CM_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SOA_DATABASE_SCHEMA_NAME=$SOA_DATABASE_SCHEMA_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo BRM_JCAADAPTER_DEPLOYMENT_ORDER=$BRM_JCAADAPTER_DEPLOYMENT_ORDER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_USER=$SIEBEL_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo SIEBEL_PASSWORD=$SIEBEL_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca1.py.template

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms1.py.template

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/Plan.xml.template > $AIA_MIDDLEWARE_HOME_DIR/Plan.xml

/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

#-------------------------------------------------------------------------------
# Collect media

echo "Collecting media"

/bin/mkdir -p ${MEDIA_DOWNLOAD_DIR}/aiacompip

/bin/bash -c "export MIK_ASKPASS_HOST=${BRM_HOST} ; export MIK_ASKPASS_USER=${BRM_HOST_OS_USER_NAME} ; export SSH_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_ssh.sh ; export DISPLAY= ; /usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/apps/brm_integrations/jca_adapter/OracleBRMJCA15Adapter.rar ${MEDIA_DOWNLOAD_DIR}/aiacompip/OracleBRMJCA15Adapter.rar"

echo "Media collected"

#-------------------------------------------------------------------------------
# Enabled SSL support for BRM JCA Deployable
if [ ${USE_RMS_RI} == "1" ]
then
   /bin/rm -rf ${MEDIA_DOWNLOAD_DIR}/aiacompip/wallet
   /bin/mkdir -p ${MEDIA_DOWNLOAD_DIR}/aiacompip/wallet
   /bin/bash -c "export MIK_ASKPASS_HOST=${BRM_HOST} ; export MIK_ASKPASS_USER=${BRM_HOST_OS_USER_NAME} ; export SSH_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_ssh.sh ; export DISPLAY= ; /usr/bin/setsid /usr/bin/scp -r ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/wallet/client ${MEDIA_DOWNLOAD_DIR}/aiacompip/wallet"
   /bin/bash -c "export MIK_ASKPASS_HOST=${BRM_HOST} ; export MIK_ASKPASS_USER=${BRM_HOST_OS_USER_NAME} ; export SSH_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_ssh.sh ; export DISPLAY= ; /usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/jars/oraclepki.jar $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/user_projects/domains/aiafp/lib;/usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/jars/osdt_cert.jar $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/user_projects/domains/aiafp/lib;/usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/jars/osdt_core.jar $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/user_projects/domains/aiafp/lib;/usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/jars/httpclient-4.4.jar $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/user_projects/domains/aiafp/lib;/usr/bin/setsid /usr/bin/scp -o StrictHostKeyChecking=no ${BRM_HOST_OS_USER_NAME}@${BRM_HOST}:${BRM_HOME_DIR}/portal/7.5/jars/commons-logging-1.2.jar $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/user_projects/domains/aiafp/lib"

   echo "perl $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/brm_jca_ssl_enable.pl ${MEDIA_DOWNLOAD_DIR}/aiacompip"
   $PERL_PROGRAM $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/brm_jca_ssl_enable.pl "${MEDIA_DOWNLOAD_DIR}/aiacompip"
   echo "Enabled SSL for BRM JCA Deployable"
fi

#-------------------------------------------------------------------------------
# Install BRM JCA
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca1.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca.py
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca.py"
/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_jca1.py.template

#-------------------------------------------------------------------------------
# Install O2C PIP

$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/install_o2c_pip.sh

# TODO Adding Singleton property to ProcessFulfillmentOrderBillingAccountListOSMCFSCommsJMSConsumer Service - http://docs.oracle.com/cd/E38316_01/doc.114/e37608/commsordertocashcrm.htm#CFHDFAJJ

#-------------------------------------------------------------------------------
# Configure BRM id

echo "Configuring BRM id"

# TODO assumes db client install from aia_middleware installation
/bin/bash -c "export PATH=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR}/bin:${PATH} ; export ORACLE_SID=${AIA_MIDDLEWARE_DATABASE_SID} ; export ORACLE_HOME=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR} ; export LD_LIBRARY_PATH=${AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR}/lib:${LD_LIBRARY_PATH} ; $AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR/bin/sqlplus $SOA_DATABASE_SCHEMA_NAME/${AIA_MIDDLEWARE_DATABASE_SYS_USER_PASSWORD}@//$AIA_MIDDLEWARE_DATABASE_HOST:$AIA_MIDDLEWARE_DATABASE_PORT/$AIA_MIDDLEWARE_DATABASE_GLOBAL_NAME @$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/update_brm_id.sql"

echo "BRM id configured"

#-------------------------------------------------------------------------------
# Configure JMS

echo "Configuring JMS"

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$AIA_SCRIPT_MODULE_NAME/aiafp/aia_topology -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms1.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms.py
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms.py"
/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_jms1.py.template

echo "JMS configured"

#-------------------------------------------------------------------------------
# Configure OSM SAF

# TODO move module name to knobs
OSM_SCRIPT_MODULE_NAME=${DEFAULT_OSM_SCRIPT_MODULE_NAME}
$MANAGEABLE_INSTALL_TOOL_DIR/${OSM_SCRIPT_MODULE_NAME}/osm/prepare_osm_topology.sh ${OSM_HOST} ${OSM_ADMIN_SERVER_WEBLOGIC_PORT} ${OSM_WEBLOGIC_ADMIN_USER} ${OSM_WEBLOGIC_ADMIN_USER_PASSWORD} ${AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR}
source $MANAGEABLE_INSTALL_TOOL_DIR/${OSM_SCRIPT_MODULE_NAME}/osm/osm_topology

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_HOST=$AIA_MIDDLEWARE_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT=$AIA_MIDDLEWARE_ADMIN_SERVER_WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
OSM_SERVER_LIST=
for i in `/usr/bin/seq 1 ${OSM_SERVER_COUNT}`;
do
  eval MANAGED_SERVER_HOSTNAME=\$MSERVER_OSM_HOSTNAME_${i}
  eval MANAGED_SERVER_PORT=\$MSERVER_OSM_PORT_${i}
  OSM_SERVER_LIST=${OSM_SERVER_LIST},${MANAGED_SERVER_HOSTNAME}:${MANAGED_SERVER_PORT}
done
echo OSM_SERVER_LIST=${OSM_SERVER_LIST#?} >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_osm_saf.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_osm_saf.py
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $AIA_MIDDLEWARE_WEBLOGIC_HOME_DIR/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/config_osm_saf.py"

#-------------------------------------------------------------------------------
# Download AIA Configuration file

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_HOME_DIR=$AIA_HOME_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo AIA_INSTANCE_NAME=$AIA_INSTANCE_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo MANAGEABLE_INSTALL_TOOL_DIR=$MANAGEABLE_INSTALL_TOOL_DIR >>  $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/downloadMetaDataDP.xml.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/downloadMetaDataDP.xml

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMetaDataDP.xml.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMetaDataDP.xml

/bin/bash -c "source $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -f $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/soa/aiafp/Install/AID/AIAInstallDriver.xml -DDeploymentPlan=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/downloadMetaDataDP.xml -DUsername=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER -DPassword=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD -DPropertiesFile=$AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/AIAInstallProperties.xml"

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

#-------------------------------------------------------------------------------
# Configure price list and business unit

if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
   then 
echo "Configuring price list"

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/common:$AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR/jdbc/lib/ojdbc8.jar config_pricelist $SIEBEL_DATABASE_HOST $SIEBEL_DATABASE_PORT $SIEBEL_DATABASE_GLOBAL_NAME $SIEBEL_USER $SIEBEL_PASSWORD $AIA_HOME_DIR/comms_home/source/soainfra/apps/config/AIAConfigurationProperties.xml
echo "Price list configured"

echo "Configuring business unit"

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/common:$AIA_MIDDLEWARE_DATABASE_CLIENT_ORACLE_HOME_DIR/jdbc/lib/ojdbc8.jar config_businessunit $SIEBEL_DATABASE_HOST $SIEBEL_DATABASE_PORT $SIEBEL_DATABASE_GLOBAL_NAME $SIEBEL_USER $SIEBEL_PASSWORD $AIA_HOME_DIR/comms_home/source/soainfra/apps/config/AIAConfigurationProperties.xml
echo "Business unit configured"

echo "Committing metadata"

/bin/bash -c "source $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -f $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/soa/aiafp/Install/AID/AIAInstallDriver.xml -DDeploymentPlan=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMetaDataDP.xml -DUsername=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER -DPassword=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD -DPropertiesFile=$AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/AIAInstallProperties.xml"

# $JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMediatorPropDP.xml.template > $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMediatorPropDP.xml 

# /bin/bash -c "source $AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/aiaenv.sh ; $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -f $AIA_MIDDLEWARE_WEBLOGIC_MIDDLEWARE_HOME_DIR/soa/aiafp/Install/AID/AIAInstallDriver.xml -DDeploymentPlan=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/UpdateMediatorPropDP.xml -DUsername=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER -DPassword=$AIA_MIDDLEWARE_WEBLOGIC_ADMIN_USER_PASSWORD -DPropertiesFile=$AIA_WEBLOGIC_DOMAIN_HOME_DIR/soa/aia/bin/AIAInstallProperties.xml"

echo "Metadata committed" 
fi 

#-------------------------------------------------------------------------------
# Restart All the edge applications
# restricitng edge applications restart for common db 

if [ $DATABASE_INSTALL == 1 ] 
then 
	echo "restarting all the edge applications after o2c" 
	sh $MANAGEABLE_INSTALL_TOOL_DIR/common/restart_all.sh 
	echo "All the edge applications are restarted"
fi

echo "********************************"
echo "O2C PIP INSTALLATION COMPLETED"
echo "********************************"

