#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

echo "Configuration read"

echo "Prevalidating installation environment"

$JAVA_HOME/bin/java -cp $THIS_DIR/../common:$THIS_DIR/../../common prevalidate_prepare_osm $THIS_DIR/../..

echo "Installation environment prevalidated"

#-------------------------------------------------------------------------------
# Install OSM O2A

if [ -z "$DISPLAY" ]
then
  echo "Establishing XServer"
  /bin/bash -c "SUDO_ASKPASS=$MANAGEABLE_INSTALL_TOOL_DIR/common/askpass_sudo.sh ; export SUDO_ASKPASS ; $SUDO_PROGRAM -A -k -E -p '%H:%p' /bin/kill Xvfb ; $SUDO_PROGRAM -A -k -E -b -p '%H:%p' /usr/bin/Xvfb :6046"
  export DISPLAY=:6046
  echo "XServer established"
fi

echo "Installing OSM O2A"

/bin/bash -c "export MIK_KNOBS_PATH=${OSM_O2A_INSTALL_SCRIPT_NAME}/common/knobs_o2c ; $MANAGEABLE_INSTALL_TOOL_DIR/${OSM_O2A_INSTALL_SCRIPT_NAME}/osm_o2a/go.sh"

echo "OSM O2A installed"
