#!/bin/sh

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs
#source $THIS_DIR/../$DEFAULT_PDC_SCRIPT_MODULE_NAME/common/knobs

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

source $BRM_HOME_DIR/portal/7.5/source.me.sh

echo "Configuring business event mapping"

/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
echo '# empty' >> $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/aq_queuenames.template > $BRM_HOME_DIR/portal/7.5/sys/dm_aq/aq_queuenames
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/aiapip_o2c/aiapip_o2c/map.properties

echo "Business event mapping configured"

#Import Service Types

echo "Configuring dm oracle conf dd_write_enable_objects"

perl $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/${BRM_SCRIPT_MODULE_NAME}/brm/replace_pinconf_entry.pl $BRM_HOME_DIR/portal/7.5 $BRM_HOME_DIR/portal/7.5/sys/dm_oracle/pin.conf "dd_write_enable_objects" "- dm dd_write_enable_objects 1"

echo "Completed dm oracle conf with dd_write_enable_objects 1"

echo "Restarting BRM....."
$HOME/scripts/DM_AQ_stop.sh
$HOME/scripts/DM_AQ_start.sh
$BRM_HOME_DIR/portal/7.5/bin/pin_ctl stop answer
$BRM_HOME_DIR/portal/7.5/bin/pin_ctl start answer
$HOME/scripts/brm_stop.sh
$HOME/scripts/brm_start.sh
sleep 20
echo "Completed restart of BRM......"

