#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/global_knobs

echo "Configuration read"

#------------------------------------------------------------------------------------
echo "Restarting all the edge applications"

/bin/mkdir -p $THIS_DIR/logs

# restarting edge apps 
#$DEFAULT_MANAGEABLE_INSTALL_TOOL_DIR/${DEFAULT_BRM_SCRIPT_MODULE_NAME}/admin/restart_brm.sh &> $THIS_DIR/logs/brm.log &
#$DEFAULT_MANAGEABLE_INSTALL_TOOL_DIR/${DEFAULT_SIEBEL_SCRIPT_MODULE_NAME}/admin/restart_siebel.sh &> $THIS_DIR/logs/siebel.log &
$DEFAULT_MANAGEABLE_INSTALL_TOOL_DIR/${DEFAULT_AIA_MIDDLEWARE_SCRIPT_MODULE_NAME}/admin/restart_aiamw.sh &> $THIS_DIR/logs/aiamw.log &
#$DEFAULT_MANAGEABLE_INSTALL_TOOL_DIR/${DEFAULT_OSM_SCRIPT_MODULE_NAME}/admin/restart_osm.sh &> $THIS_DIR/logs/osm.log

# waiting till all the edge apps gets restarted 
wait 

echo "edge applications are restarted"
