/*

 Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

 The MIT License (MIT)

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
import com.siebel.data.SiebelBusComp;
import com.siebel.data.SiebelBusObject;
import com.siebel.data.SiebelDataBean;
import com.siebel.data.SiebelException;

// TODO trouble getting this to work

public class SiebelEnrichProductAttributeCommand {

  public static void main(String[] args) throws Throwable {
    String siebelServerHost = args[0];
    int siebelServerPort = Integer.parseInt(args[1]);
    String siebelEnterpriseName = args[2];
    String siebelUser = args[3];
    String siebelUserPassword = args[4];
    String productName = args[5];
    String attributeName = args[6];
    String defaultValue = args[7];
    boolean readOnly = Boolean.parseBoolean(args[8]);
    
    enrichProductAttribute(siebelServerHost, siebelServerPort, siebelEnterpriseName, siebelUser, siebelUserPassword, productName, attributeName, defaultValue, readOnly);  
  }

  public static void enrichProductAttribute(String siebelServerHost, int siebelServerPort, String siebelEnterpriseName, String siebelUser, String siebelUserPassword, String productName, String attributeName, String defaultValue, boolean readOnly) throws SiebelException {
    SiebelDataBean dataBean = new SiebelDataBean();
    System.setProperty("file.encoding", "utf8");
    dataBean.login("siebel.TCPIP.None.None://" + siebelServerHost + ":" + siebelServerPort + "/" + siebelEnterpriseName + "/eCommunicationsObjMgr_enu", siebelUser, siebelUserPassword);
    
    SiebelBusObject productSBO = dataBean.getBusObject("Admin ISS Product Definition");
    SiebelBusComp productSBC = productSBO.getBusComp("Internal Product - ISS Admin");
    productSBC.invokeMethod("SetAdminMode", new String[] {"true"});
    productSBC.setViewMode(3);
    productSBC.activateField("Name");
    productSBC.activateField("VOD Locked Flag");
    productSBC.clearToQuery();
    productSBC.setSearchSpec("Name", productName);
    productSBC.executeQuery(true);
    
    if (productSBC.firstRecord()) {
      productSBC.setFieldValue("VOD Locked Flag", "Y");
      
      productSBC.writeRecord();
      
      SiebelBusComp productAttrSBC = productSBO.getBusComp("ISS Product Attribute VBC");
      productAttrSBC.invokeMethod("SetAdminMode", new String[] {"true"});
      productAttrSBC.setViewMode(3);
      productAttrSBC.activateField("Name");
      productAttrSBC.activateField("Default Value");
      productAttrSBC.activateField("Read Only Flag");
      productAttrSBC.clearToQuery();
      productAttrSBC.setSearchSpec("Name", attributeName);
      productAttrSBC.executeQuery(true);
     
      if (productAttrSBC.firstRecord()) {
        productAttrSBC.setFieldValue("Default Value", defaultValue);
        productAttrSBC.setFieldValue("Read Only Flag", readOnly ? "Y": "N");
      }
      
      productSBC.writeRecord();
      productSBC.invokeMethod("Publish", new String[] {});  
    }
    
    dataBean.logoff();
  }
  
}
