/*

 Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

 The MIT License (MIT)

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/

public class SiebelEstablishProductClassAttributeCommand {

  public static void main(String[] args) throws Throwable {
    String siebelServerHost = args[0];
    int siebelServerPort = Integer.parseInt(args[1]);
    String siebelEnterpriseName = args[2];
    String siebelUser = args[3];
    String siebelUserPassword = args[4];
    SiebelProductClassAttribute attr = new SiebelProductClassAttribute();
    attr.name = args[5];
    String type = args[6];
    String domainType = args[7];
    if (type.equals("Text") && domainType.equals("Enumerated")) {
      SiebelProductClassAttribute.EnumSiebelProductClassAttributeType dtype = new SiebelProductClassAttribute.EnumSiebelProductClassAttributeType();
      for (int j = 8; j < args.length; j++) {
        dtype.values.add(args[j]);
      }
      attr.type = dtype;
    } else if (type.equals("Text") && domainType.equals("FreeForm")) {
      attr.type = null;
    } else {
      throw new IllegalArgumentException("Bad type or domain type");
    }
    SiebelUtil.establishProductClassAttribute(siebelServerHost, siebelServerPort, siebelEnterpriseName, siebelUser, siebelUserPassword, attr);
  
  }

}
