#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )
if [ -z "$MIK_KNOBS_PATH" ]
then
  MIK_KNOBS_FILE=$THIS_DIR/../common/knobs
else
  MIK_KNOBS_FILE=$THIS_DIR/../../$MIK_KNOBS_PATH  
fi

source $MIK_KNOBS_FILE
source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

#--------------------------------------------------------------------------------
# Prevalidate Environment

$JAVA_7_HOME/bin/java -cp $THIS_DIR/../../common AssertionsValidator $MANAGEABLE_INSTALL_TOOL_DIR/${DATABASE_SCRIPT_MODULE_NAME}/common/prevalidate_db_client.xml.template

mik_check_if_32bit_package_exists compat-libstdc++-33
mik_check_if_32bit_package_exists glibc
mik_check_if_32bit_package_exists glibc-devel
mik_check_if_32bit_package_exists libaio
mik_check_if_32bit_package_exists libaio-devel
mik_check_if_32bit_package_exists libgcc
mik_check_if_32bit_package_exists libstdc++
mik_check_if_32bit_package_exists libstdc++-devel
mik_check_if_32bit_package_exists libXtst
mik_check_if_32bit_package_exists libXext
mik_check_if_32bit_package_exists libuuid
mik_check_if_32bit_package_exists unixODBC

