#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

MANAGEABLE_INSTALL_TOOL_DIR=$THIS_DIR/../..

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_knobs_lib

JAVA_7_HOME=${MANAGEABLE_INSTALL_TOOL_DIR}/jdk17
establish_java_7
export JAVA_HOME=${JAVA_7_HOME}
export PATH=${JAVA_HOME}/bin:${PATH}

#--------------------------------------------------------------------------------
# Prevalidate Environment

$JAVA_7_HOME/bin/java -cp $THIS_DIR/../../common AssertionsReporter $MANAGEABLE_INSTALL_TOOL_DIR/database_11.2.0.4.0/common/prevalidate_db_client.xml.template
