#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )
if [ -z "$MIK_KNOBS_PATH" ]
then
  MIK_KNOBS_FILE=$THIS_DIR/../common/knobs
else
  MIK_KNOBS_FILE=$THIS_DIR/../../$MIK_KNOBS_PATH  
fi

source $MIK_KNOBS_FILE

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

#--------------------------------------------------------------------------------
# Install Design Studio

mik_collect_media OEPE

### create a new directory ####
/bin/mkdir -p $DESIGNSTUDIO_HOME_DIR

echo "installing eclipse Neon"
/usr/bin/unzip -o -q -d $DESIGNSTUDIO_HOME_DIR $DESIGNSTUDIO_MEDIA_DOWNLOAD_DIR/$MEDIA_NAME_OEPE

export http_proxy=${MEDIA_PROXY}

mik_collect_media DESIGNSTUDIO

/usr/bin/unzip -o -q -d $DESIGNSTUDIO_MEDIA_DOWNLOAD_DIR $DESIGNSTUDIO_MEDIA_DOWNLOAD_DIR/$MEDIA_NAME_DESIGNSTUDIO

echo "copy eclipse.ini"
/bin/cp $MANAGEABLE_INSTALL_TOOL_DIR/designstudio_scripts/designstudio/eclipse.ini $DESIGNSTUDIO_HOME_DIR

echo "Installing BIRT Plugins"
$DESIGNSTUDIO_HOME_DIR/eclipse -nosplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/releases/neon -tag AddBIRT -destination $DESIGNSTUDIO_HOME_DIR -installIUs org.eclipse.birt.feature.group,org.eclipse.birt.chart.cshelp.feature.group,org.eclipse.birt.cshelp.feature.group,org.eclipse.birt.doc.feature.group,org.eclipse.birt.source.feature.group,org.eclipse.birt.example.feature.group

echo "Installing Graphical Editing Framework Zest Visualization Toolkit"
$DESIGNSTUDIO_HOME_DIR/eclipse -nosplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/tools/gef/updates/legacy/releases/ -tag AddZEST -destination $DESIGNSTUDIO_HOME_DIR -installIUs org.eclipse.zest.feature.group

echo "installing design studio plugin in eclipse"
if [ -z $DESIGNSTUDIO_MEDIA_UPDATE_SITE  ]
    then $DESIGNSTUDIO_HOME_DIR/eclipse -nosplash -application org.eclipse.equinox.p2.director -repository file://$DESIGNSTUDIO_MEDIA_DOWNLOAD_DIR/$DESIGNSTUDIO_DIR_NAME/update -tag AddDesignStudio -destination $DESIGNSTUDIO_HOME_DIR -installIU oracle.communications.sce.feature.feature.group
    else $DESIGNSTUDIO_HOME_DIR/eclipse -nosplash -application org.eclipse.equinox.p2.director -repository $DESIGNSTUDIO_MEDIA_UPDATE_SITE -tag AddDesignStudio -destination $DESIGNSTUDIO_HOME_DIR -installIU oracle.communications.sce.feature.feature.group
fi
