#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

MIK_INSTALL_JAVA=1
source $THIS_DIR/../common/knobs
MIK_INSTALL_JAVA=

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

#--------------------------------------------------------------------------------
# Check if mandatory parameters configured in knobs
if [ -z "$PDC_WEBLOGIC_HOST" ]; then
   echo "ERROR:- PDC_WEBLOGIC_HOST is undefined in knobs"
   exit 1
fi
if [ -z "$BRM_HOST" ]; then
   echo "ERROR:- BRM_HOST is undefined in knobs"
   exit 1
fi

if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
then
	if [ -z "$SIEBEL_HOST" ]; then
	   echo "ERROR:- SIEBEL_HOST is undefined in knobs"
	   exit 1
	fi
fi
if [ -z "$AIA_MIDDLEWARE_HOST" ]; then
   echo "ERROR:- AIA_MIDDLEWARE_HOST is undefined in knobs"
   exit 1
fi

#--------------------------------------------------------------------------------
# Configure access

mik_create_access $PDC_WEBLOGIC_HOST $PDC_WEBLOGIC_HOST_OS_USER_NAME
mik_create_access $BRM_HOST $BRM_HOST_OS_USER_NAME

mik_create_access $AIA_MIDDLEWARE_HOST $AIA_MIDDLEWARE_HOST_OS_USER_NAME

if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
then
	mik_create_access $SIEBEL_HOST $SIEBEL_HOST_OS_USER_NAME
fi

echo Access configured
