#!/bin/sh

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs
#source $THIS_DIR/../$DEFAULT_PDC_SCRIPT_MODULE_NAME/common/knobs

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

export PIN_HOME=$BRM_APP_HOME_DIR
source $PIN_HOME/source.me.sh

#Import Service Types
cd $PIN_HOME/sys/test
echo "Loading aia_custom_services.podl"
pin_deploy create $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/${BRM_SCRIPT_MODULE_NAME}/brm/aia_custom_services.podl

#Import GLID

cd $PIN_HOME/sys/data/pricing/example
echo "Loading pin_glid"
load_pin_glid -v $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/${BRM_SCRIPT_MODULE_NAME}/brm/pin_glid_bethpage

$PIN_HOME/bin/pin_ctl  stop cm ;
echo "CM stopped after pin_glid load"
$PIN_HOME/bin/pin_ctl  start  cm ;
echo "CM started after pin_glid load"

echo "Completed Seed data files import for BRM...."
