#!/bin/sh

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs
#source $THIS_DIR/../$DEFAULT_PDC_SCRIPT_MODULE_NAME/common/knobs

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $BRM_HOST_MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"
#--------------------------------------------------------------------------------
# Restart RRE and BRE transformer engines
export PIN_HOME=$BRM_APP_HOME_DIR
source $PIN_HOME/source.me.sh

echo "Preparing RRETransformer...."
$HOME/scripts/pdc_start_transformer.sh

echo "Preparing SYNCPDC...."
$HOME/scripts/pdc_stop_syncpdc.sh
sleep 10
$HOME/scripts/pdc_start_syncpdc.sh
sleep 30
echo "SYNCPDC started..."

#--------------------------------------------------------------------------------
#Import PDC sample reference data files using utilities on RMS RI environment

if [ $IMPORT_DEFAULT_PRODUCT_DATA == 1 ]
  then
    cd $PDC_HOME_DIR/apps/bin
    echo "Importing the PDC products "
    echo $PDC_KEYSTORE_CRED| ./ImportExportPricing -import -config $PDC_HOME_DIR/apps/Samples/Examples/PDCSampleRum.xml -ow
    echo $PDC_KEYSTORE_CRED| ./ImportExportPricing -import -config $PDC_HOME_DIR/apps/Samples/Examples/PDCSampleBE.xml -ow
    echo $PDC_KEYSTORE_CRED| ./ImportExportPricing -import -config $MANAGEABLE_INSTALL_TOOL_DIR/${IMPORT_REFERENCE_SCRIPT_NAME}/data/RMSRI_ATTRIBUTE_SPEC_MAP.xml -ow

#    echo $PDC_KEYSTORE_CRED| ./ImportExportPricing -import -pricing $MANAGEABLE_INSTALL_TOOL_DIR/${IMPORT_REFERENCE_SCRIPT_NAME}/data/default_pdc_pricing.xml -ow
    echo "Completed reference data files import using ImportExportPricing utilities...."
fi

#--------------------------------------------------------------------------------
