/*

 Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

 The MIT License (MIT)

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/

/*
   DESCRIPTION
    <short description of component this file declares/defines>

   PRIVATE CLASSES
    <list of private classes defined - with one-line descriptions>

   NOTES
    <other useful comments, qualifications, etc.>

   MODIFIED    (MM/DD/YY)
    vidatta     01/19/15 - Creation
 */

/**
 *  @version $Header: commsplatform/managementpack/scripts/importreferencedata/src/ParseXml.java /cgbuams_main/2 2015/03/12 20:55:02 anirana Exp $
 *  @author  vidatta import java.io.FileWriter;
 */
import java.io.FileWriter;
import java.io.IOException;

import java.util.ArrayList;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

public class ParseXml {

	// Passing $MANAGEABLE_INSTALL_TOOL_DIR as an argument
	public static void main(String args[]) {
		String view_home = args[0];
		String path = view_home + "/importreferencedata/data/";
		parseXmlFile(path);
	}

	private static void parseXmlFile(String path) {
		ArrayList<String> nameList = new ArrayList<String>();
		try {
			DocumentBuilderFactory factory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder builder = factory.newDocumentBuilder();
			Document nwXMLDoc = (Document) builder.parse(path+"default_pdc_pricing.xml");

			NodeList interfaceList = ((org.w3c.dom.Document) nwXMLDoc)
					.getElementsByTagName("chargeOffering");
			for (int k = 0; k < interfaceList.getLength(); k++) {
				Element interfaceElement = (Element) interfaceList.item(k);
				if (((Element) interfaceElement).getElementsByTagName("name") == null)
					continue;

				Node interfaceNode = (Node) ((Element) interfaceElement)
						.getElementsByTagName("name").item(0);
				if (interfaceNode == null)
					continue;
				nameList.add(interfaceNode.getTextContent());
			}

			FileWriter writer = new FileWriter(path + "default_pdc_pricing.txt");
			for (String str : nameList) {
				writer.write(str + "\n");
			}
			writer.close();

		} catch (ParserConfigurationException pce) {
			pce.printStackTrace();
		} catch (DOMException se) {
			se.printStackTrace();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		} catch (SAXException e) {
			e.printStackTrace();
		}
	}

}

