#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

if [ -z "$MIK_KNOBS_PATH" ]
then
  MIK_KNOBS_FILE=$THIS_DIR/../common/knobs
else
  MIK_KNOBS_FILE=$THIS_DIR/../../$MIK_KNOBS_PATH
fi

source $MIK_KNOBS_FILE

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

echo WEBLOGIC_HOST=$WEBLOGIC_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties
echo WEBLOGIC_PORT=$WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties
echo WEBLOGIC_ADMIN_USER=$WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties
echo WEBLOGIC_ADMIN_USER_PASSWORD=$WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties
echo OHS_INSTANCE_NAME=$OHS_INSTANCE_NAME >> $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/stop_ohs_component.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/stop_ohs_component.py

/bin/rm $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/map.properties

echo "Configuration read"

#-------------------------------------------------------------------------------
# Stopping OHS

echo "Stopping the OHS component"

# stopComponent prompts for node manager credentials.
# /bin/bash -c " /private/aiacom_test_install/Middleware_wls/user_projects/domains/aiafp/bin/stopComponent.sh ohs1"

/bin/sh -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $OHS_WLST_DIR/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/$OHS_SCRIPT_MODULE_NAME/admin/stop_ohs_component.py"

echo "OHS stopped"

