#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

if [ -z "$MIK_KNOBS_PATH" ]
then
  MIK_KNOBS_FILE=$THIS_DIR/../common/knobs
else
  MIK_KNOBS_FILE=$THIS_DIR/../../$MIK_KNOBS_PATH  
fi

echo "IN CONFIG ACCESS OHS"

MIK_INSTALL_JAVA=1
source $MIK_KNOBS_FILE
MIK_INSTALL_JAVA=

echo "Generate media map entries for OHS"
/bin/bash -c "$THIS_DIR/../common/generate_mediamap_entries.sh"
echo "Appended media map entries for OHS"

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

#--------------------------------------------------------------------------------
# Configure

MEDIA_MAP="${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map"
mik_create_access $OHS_HOST $OHS_HOST_OS_USER_NAME

#OHS
echo "${MEDIA_NAME_OHS}"
NAME_COUNT=`cat ${MEDIA_MAP} | grep -i ${MEDIA_NAME_OHS} | wc -l`
echo "Number of instances found in MEDIA MAP file = "${NAME_COUNT}
if [ ${NAME_COUNT} > 0 ]
    then
	echo "creating sudo access"
      mik_create_media_access ${MEDIA_NAME_OHS}
fi

# mik_create_media_access OFM_WEBTIER_LINUX_12_1_3_0_0_64_DISK1_1of1

echo Access configured
