#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

echo "Generate Media Map Entries for AIA Patches"

MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/readlink -fnqs $MANAGEABLE_INSTALL_TOOL_DIR/../..`

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_pack_config.properties

MEDIA_MAP="${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map" 

if [ ! -f ${MEDIA_MAP} ]; then
  echo ""
  echo "ERROR: media_map not found."
  echo ""
  exit
fi

echo "OHS VERSION = "${MEDIA_NAME_OHS}
PATCH_COUNT=`cat ${MEDIA_MAP} | grep -i ${MEDIA_NAME_OHS} | wc -l`
echo "Number of instances of ${MEDIA_NAME_OHS} found in MEDIA MAP file = "${PATCH_COUNT}
echo ""
if [ ${PATCH_COUNT} == 0 ]
	then
		echo ""
		echo "# ----------------------------------------------------------------------------" >> ${MEDIA_MAP}
		echo "# ${MEDIA_NAME_OHS} Oracle HTTP Server----------------------------------------" >> ${MEDIA_MAP}
		echo "# Reference compatibility media:" >> ${MEDIA_MAP}
		echo "#   ${MEDIA_FILE_OHS}" >> ${MEDIA_MAP}
		echo "#     edelivery.oracle.com" >> ${MEDIA_MAP}
		echo "MEDIA_NAME_${MEDIA_NAME_OHS}=${MEDIA_FILE_OHS}" >> ${MEDIA_MAP}
		echo "MEDIA_LOC_${MEDIA_NAME_OHS}=\$WEBTIER_MEDIA_DOWNLOAD_DIR/\${MEDIA_NAME_${MEDIA_NAME_OHS}}" >> ${MEDIA_MAP}
		echo "MEDIA_DL_TYPE_${MEDIA_NAME_OHS}=SCP_DL_TYPE" >> ${MEDIA_MAP}
		echo "MEDIA_DL_TARGET_OS_USER_${MEDIA_NAME_OHS}=\$CGBU_SCP_MEDIA_OS_USER" >> ${MEDIA_MAP}
		echo "MEDIA_DL_TARGET_HOST_${MEDIA_NAME_OHS}=\$CGBU_SCP_MEDIA_HOST" >> ${MEDIA_MAP}
		echo "MEDIA_DL_TARGET_LOC_${MEDIA_NAME_OHS}=\$CGBU_SCP_MEDIA_DL_WEBTIER_DIR/\${MEDIA_NAME_${MEDIA_NAME_OHS}}" >> ${MEDIA_MAP}
fi

