#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

if [ -z "${MIK_KNOBS_PATH}" ]
then
  MIK_KNOBS_FILE=${THIS_DIR}/../common/knobs
else
  MIK_KNOBS_FILE=${THIS_DIR}/../../${MIK_KNOBS_PATH}
fi

MIK_INSTALL_JAVA=1
source ${MIK_KNOBS_FILE}
MIK_INSTALL_JAVA=

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/mik_lib

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map

#--------------------------------------------------------------------------------
# Configure

mik_create_access ${DEV_HOST} ${DEV_HOST_OS_USER_NAME}
mik_create_su_access ${DEV_HOST} ${DEV_HOST_OS_USER_NAME}

/bin/cp ${MANAGEABLE_INSTALL_TOOL_DIR}/${DESIGNSTUDIO_SCRIPT_MODULE_NAME}/common/knobs ${MANAGEABLE_INSTALL_TOOL_DIR}/${DESIGNSTUDIO_SCRIPT_MODULE_NAME}/common/knobs_o2c
${JAVA_HOME}/bin/java -cp ${MANAGEABLE_INSTALL_TOOL_DIR}/common config_knobs -file=${MANAGEABLE_INSTALL_TOOL_DIR}/${DESIGNSTUDIO_SCRIPT_MODULE_NAME}/common/knobs_o2c -DDESIGNSTUDIO_HOST_MANAGEABLE_INSTALL_TOOL_DIR=${DEV_HOST_MANAGEABLE_INSTALL_TOOL_DIR} -DDESIGNSTUDIO_HOST_MEDIA_DOWNLOAD_DIR=${DEV_HOST_MEDIA_DOWNLOAD_DIR} -DDESIGNSTUDIO_HOST_APPLICATIONS_HOME_DIR=${DEV_HOST_APPLICATIONS_HOME_DIR} -DDESIGNSTUDIO_HOST=${DEV_HOST} -DDESIGNSTUDIO_HOST_OS_USER_NAME=${DEV_HOST_OS_USER_NAME} -DDESIGNSTUDIO_HOME_DIR=${DESIGN_STUDIO_HOME_DIR}
/bin/bash -c "export MIK_KNOBS_PATH=${DESIGNSTUDIO_SCRIPT_MODULE_NAME}/common/knobs_o2c ; ${MANAGEABLE_INSTALL_TOOL_DIR}/${DESIGNSTUDIO_SCRIPT_MODULE_NAME}/common/config_access.sh"

mik_create_media_access OSM_O2A_INSTALLER

echo Access configured
