#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

if [ -z "$MIK_KNOBS_PATH" ]
then
  MIK_KNOBS_FILE=$THIS_DIR/../common/knobs
else
  MIK_KNOBS_FILE=$THIS_DIR/../../$MIK_KNOBS_PATH  
fi

source $MIK_KNOBS_FILE

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

source $MANAGEABLE_INSTALL_TOOL_DIR/common/media_map

echo "Configuration read"

echo "Establishing XServer"
/bin/bash -c "SUDO_ASKPASS=${MANAGEABLE_INSTALL_TOOL_DIR}/common/askpass_sudo.sh ; export SUDO_ASKPASS ; $SUDO_PROGRAM -A -k -E -p '%H:%p' /bin/kill Xvfb ; ${SUDO_PROGRAM} -A -k -E -b -p '%H:%p' /usr/bin/Xvfb :6046"
export DISPLAY=:6046
echo "XServer established"

#-------------------------------------------------------------------------------
# Prepare OSM

$MANAGEABLE_INSTALL_TOOL_DIR/${OSMO2ADEV_SCRIPT_MODULE_NAME}/osm_o2adev/install_designstudio.sh

echo "Importing Solution"

mik_collect_media OSM_O2A_INSTALLER

/usr/bin/unzip -q -o -d $AIAPIP_MEDIA_DOWNLOAD_DIR/cartridges $MEDIA_LOC_OSM_O2A_INSTALLER
/usr/bin/unzip -q -o -d $AIAPIP_MEDIA_DOWNLOAD_DIR/cartridges $AIAPIP_MEDIA_DOWNLOAD_DIR/cartridges/$MEDIA_NAME_INSTALLER_OSM_O2A_CARTRIDGES
/bin/bash -c "cd $AIAPIP_MEDIA_DOWNLOAD_DIR/cartridges/OSM.PIP ; unzip OracleComms_OSM_O2A_Install.zip ; cd OracleComms_OSM_O2A_Install/o2aCartridges ; unzip comsom_cso_solution.zip ; cd OracleComms_OSM_O2A_COMSOM_CSO_Solution ; sed -i -e ':a' -e 'N' -e '$'\!'ba' -e 's/\(<[^\"]*\"ENABLE_PRODUCT_ATTRIBUTE_VALIDATION\">[^<]*<[^>]*>\)\([^<]*\)\(<[^>]*>\)/\1disable\3/g' OracleComms_OSM_O2A_COMSOM_CSO_Solution.osmCompositeCartridge; cd .. ; zip -vf comsom_cso_solution.zip ; cd ../.. ; zip -vf OracleComms_OSM_O2A_Install.zip ; rm -rf OracleComms_OSM_O2A_Install"

echo "OSM O2A Development Environment installed"
