#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

echo "Configuration read"

echo "Preparing commoninfo.properties"

echo -e "\n" >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties
/bin/bash -c "set -a ; source $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/knobs ; $JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common generate_topology >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties"

echo -e "\n1;" >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties

echo -e "\n\$JAVA_HOME = \"${JAVA_HOME}\";" >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties

echo "commoninfo.properties prepared"

echo "Preparing osm_customer.values config file"

echo "JAVA_HOME,X,${JAVA_HOME}" > $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/templates/osm_customer.values

echo "osm_customer.values config file prepared"

echo "Initializing PWLC"

echo -e "\n1;" >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties
/bin/sed -i '/\$commonInfo=/c\$commonInfo=\"'$MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties'\";' $MANAGEABLE_INSTALL_TOOL_DIR/pwlc/scripts/customization/prePWLCInit.pl
/bin/sed -i '/\$commonInfo=/c\$commonInfo=\"'$MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/commoninfo.properties'\";' $MANAGEABLE_INSTALL_TOOL_DIR/pwlc/scripts/customization/postPWLCInit.pl
/bin/bash -c "cd $MANAGEABLE_INSTALL_TOOL_DIR/pwlc/scripts ; $MANAGEABLE_INSTALL_TOOL_DIR/pwlc/scripts/init_steps.sh"

echo "Initialized PWLC"

#--------------------------------------------------------------------------------
# Start OSM

source $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/osm_lib

start_osm_wl_servers
