#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo FAILED" ERR
set -e
set -E
set -o pipefail

MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/readlink -fnqs $MANAGEABLE_INSTALL_TOOL_DIR/../..`

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/global_knobs

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map.template

echo "JDK_7U79_LINUX_X64_BIN ${MEDIA_DL_TARGET_LOC_JDK_7U79_LINUX_X64_BIN}"
${MANAGEABLE_INSTALL_TOOL_DIR}/${DEFAULT_DATABASE_12C_SCRIPT_MODULE_NAME}/common/print_media_inventory.sh
################################################
echo "MEDIA_LOC_V46097_01 ${MEDIA_DL_TARGET_LOC_MEDIA_LOC_V46097_01}"
echo "MEDIA_LOC_FMW ${MEDIA_DL_TARGET_LOC_FMW}"
#echo "MEDIA_LOC_V138469_02 ${MEDIA_DL_TARGET_LOC_V138469_02}"
echo "MEDIA_LOC_OSM ${MEDIA_DL_TARGET_LOC_OSM}"
echo "MEDIA_LOC_JBOSS_1_4_1_SP13 ${MEDIA_DL_TARGET_LOC_JBOSS_1_4_1_SP13}"

