#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

MANAGEABLE_INSTALL_TOOL_DIR=$THIS_DIR/../..

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/global_knobs
source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_knobs_lib
##############################
#source ${MANAGEABLE_INSTALL_TOOL_DIR}/osm_7.2.4.1.6/common/knobs
source ${MANAGEABLE_INSTALL_TOOL_DIR}/osm_scripts/common/knobs

#JAVA_7_HOME=${MANAGEABLE_INSTALL_TOOL_DIR}/jdk17
#establish_java_7_79
JAVA_8_HOME=${MANAGEABLE_INSTALL_TOOL_DIR}/jdk18
establish_java_8u92
JAVA_7_HOME=$JAVA_8_HOME
export JAVA_HOME=${JAVA_8_HOME}
export PATH=${JAVA_HOME}/bin:${PATH}

#--------------------------------------------------------------------------------
# Prevalidate Environment

/bin/rm -f $THIS_DIR/space
echo "OSM host MIK home (WEBLOGIC_HOST_MANAGEABLE_INSTALL_TOOL_DIR)||$((2 * 1024 * 1024 * 1024))" >> $THIS_DIR/space
echo "OSM host media download (WEBLOGIC_HOST_MEDIA_DOWNLOAD_DIR)||$((26 * 1024 * 1024 * 1024))" >> $THIS_DIR/space
echo "OSM host applications home (WEBLOGIC_HOST_APPLICATIONS_HOME_DIR)||$((22 * 1024 * 1024 * 1024))" >> $THIS_DIR/space
echo "System temp directory|/tmp|$((50 * 1024 * 1024))" >> $THIS_DIR/space
echo "OSM host user (WEBLOGIC_HOST_OS_USER_NAME) home directory||$((150 * 1024 * 1024))" >> $THIS_DIR/space

/bin/rm -f $THIS_DIR/space_mem
echo "OSM (OSM )|$((6 * 1024))" >> $THIS_DIR/space_mem

/bin/rm -rf $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties
echo WEBLOGIC_HOST_OS_USER_NAME= >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties
echo DATABASE_HOST_OS_USER_NAME= >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties
echo SPACE_REQFILE=$THIS_DIR/space >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties
echo MEMORY_REQFILE=$THIS_DIR/space_mem >> $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/prevalidate.xml.template > $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/prevalidate.xml
/bin/rm -rf $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/osm/map.properties

$JAVA_7_HOME/bin/java -cp $THIS_DIR/../../common AssertionsReporter $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/prevalidate.xml

$MANAGEABLE_INSTALL_TOOL_DIR/${DEFAULT_DATABASE_12C_SCRIPT_MODULE_NAME}/common/print_prereqs_db_client.sh
