#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

source $THIS_DIR/../common/knobs
source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

#--------------------------------------------------------------------------------

###################################################################### not aware of the patch #################

# Patch Database for OSM
#if [ $DATABASE_INSTALL == 1 ]
#  then
#  /bin/bash -c "source ${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl stop database -d orcl ; else sqlplus / as sysdba @${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/database/shutdown.sql ; fi ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl stop listener ; else lsnrctl stop ; fi"
#  mik_collect_media P18230522_112040_LINUX_X86_64
#  /usr/bin/unzip -o -q -d ${DATABASE_MEDIA_DOWNLOAD_DIR} ${MEDIA_LOC_P18230522_112040_LINUX_X86_64}
#  /bin/bash -c "source ${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; export PATH=${DATABASE_ORACLE_HOME_DIR}/OPatch:${PATH} ; cd ${DATABASE_MEDIA_DOWNLOAD_DIR}/18230522 ; ${DATABASE_ORACLE_HOME_DIR}/OPatch/opatch apply -invPtrLoc ${DATABASE_HOST_APPLICATIONS_HOME_DIR}/oraInst.loc -silent"
#  /bin/bash -c "source ${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl start listener ; else lsnrctl start ; fi ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl #start database -d orcl ; else sqlplus / as sysdba @${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/database/startup.sql ; fi"
#fi

#--------------------------------------------------------------------------------
# Configure Database for OSM
echo $DATABASE_ORACLE_HOME_DIR

$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common:$DATABASE_ORACLE_HOME_DIR/jdbc/lib/ojdbc8.jar config_osm_db $DATABASE_HOST $DATABASE_PORT $DATABASE_GLOBAL_NAME $DATABASE_SID $DATABASE_SYS_USER_NAME $DATABASE_SYS_USER_PASSWORD ${DATABASE_OSM_DATA_FILE} ${DATABASE_OSM_TEMP_DATA_FILE}

#####/bin/bash -c "source $MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; sqlplus ${DATABASE_SYS_USER_NAME}/${DATABASE_SYS_USER_PASSWORD}@${DATABASE_SID} as sysdba @$MANAGEABLE_INSTALL_TOOL_DIR/$OSM_SCRIPT_MODULE_NAME/database/grants.sql"


/bin/bash -c "source $MANAGEABLE_INSTALL_TOOL_DIR/${OSM_SCRIPT_MODULE_NAME}/common/.bashrc_db ; echo -e \"grant create any context to sys with admin option;\nexit;\" | sqlplus / as sysdba ;"

#--------------------------------------------------------------------------------
# Bounce database

if [ $DATABASE_INSTALL == 1 ]
  then
  /bin/bash -c "source ${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl stop database -d orcl ; else sqlplus / as sysdba @${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/database/shutdown.sql ; fi ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl stop listener ; else lsnrctl stop ; fi"
  /bin/bash -c "source ${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/common/.bashrc_db ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl start listener ; else lsnrctl start ; fi ; if [ ${DATABASE_RAC} == \"Yes\" ] ; then srvctl start database -d orcl ; else sqlplus / as sysdba @${MANAGEABLE_INSTALL_TOOL_DIR}/$OSM_SCRIPT_MODULE_NAME/database/startup.sql ; fi"
fi

