# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

#######################################################
# This scripts takes care of the following
# 1. Checks the application status on the application server
# Version 1.0
# Rajesh Prabakarn
#######################################################

require "commoninfo.properties";

&fetch_jreloc();

$WLST_HOME="$WEBLOGIC_HOME/common/bin";

$flag=0;
print "adrguments @ARGV \n";
foreach $application (@ARGV) {
        chomp($application);
        print "Checking application( $application ) status....\n";
        &admstatus_py();
        &exec_statestate();
        &polling();
}

sub fetch_jreloc {
        open(INSTALL_PROP,"suite_install.properties");

        while(<INSTALL_PROP>) {
                chomp($_);
                if($_ =~ /uim_base.dir/) {
                        $uimloc = (split("=",$_))[1];
                        $uimloc = (split("\"",$uimloc))[1];
                        $javaloc = "$uimloc/jre/1.6.0";
                        print "Java Home location is $javaloc\n";
                }
        }
        close(INSTALL_PROP);
}

sub admstatus_py {
        open(APPSTATE,">wlstscripts/appstate.py");
        print APPSTATE "connect('weblogic','$ADMIN_PASSWORD','t3://$ADMIN_HOST:$ADMIN_PORT')\;\n";
        print APPSTATE "domainRuntime()\n";
        print APPSTATE "cd('domainRuntime:/AppRuntimeStateRuntime/AppRuntimeStateRuntime')\n";
        print APPSTATE "status = cmo.getIntendedState('$application')\n";
        print APPSTATE "print '$application='+status\n";
        close(APPSTATE)
}

sub exec_statestate {
        $JAVA_HOME=$javaloc;
        $WL_HOME=$WEBLOGIC_HOME;
        #$cmd = "$JAVA_HOME/bin/java -cp $WL_HOME/server/lib/weblogic.jar weblogic.WLST wlstscripts/appstate.py > logs/state$application.log";
	$cmd="$WLST_HOME/wlst.sh wlstscripts/appstate.py > logs/state$application.log";
        print "Getting application status $application.... \n$cmd\n";
        system($cmd);
}

sub polling {
        open (RESOURCES, "logs/state$application.log") || warn "Unable to open file state$application.log\n";
        while(<RESOURCES>) {
                chomp($_);
                print "$_\n";
                if($_ =~ /^$application/) {
                        $state = (split("=",$_))[1];
                }
        }
        close(RESOURCES);
        if($state =~ /STATE_ACTIVE|PREPARED/i) {
                $flag=1;
                print"The application ($application) is successfully deployed and state is $state\n";
        }
        else {
                $flag=0;
                die "Error: The application ($application) is not successfully deployed$!";
        }
}

