# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# This scripts takes care of the following
# 1. Start ASAP services

require "commoninfo.properties";

&fetch_asapEnvID();
&start_asap();

sub fetch_asapEnvID {
	open(INSTALL_PROP,"suite_install.properties");

	while(<INSTALL_PROP>) {
		chomp($_);
		if($_ =~ /asap.core.envid/) {
			$asapEnvID = (split("=",$_))[1];
			print "ASAP Environment ID is $asapEnvID\n";
		}
                if($_ =~ /asap_base.dir/) {
			$asapBase = (split("=",$_))[1];
			print "ASAP install location is $asapBase\n";
                }
	}
	close(INSTALL_PROP);
}


sub start_asap {
	#$sourcecmd = "source $asapBase/Environment_Profile";
	#print "Source ASAP environment profile.... \n$sourcecmd\n";
	#system($sourcecmd);

        $cmd= "$asapBase/scripts/start_asap_sys -d";
	print"Starting ASAP services....\n $cmd \n";
        system($cmd);

}
