#!/usr/local/bin/perl

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


#
# $Header: commsplatform/managementpack/scripts/suite/clusterOnlineSteps.pl /cgbuams_main/3 2015/03/12 19:05:51 anirana Exp $
#
# updateProxyAppDescriptors.pl
#
#
#    NAME
#      updateProxyAppDescriptors.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    zkunju      01/22/13 - Creation
#
use File::Basename;
require "commoninfo.properties";

if($#CLUSTERS>=0) {
   &invokeProxyDeployment();
}

sub invokeProxyDeployment {
  chdir "$PWLC_LOCATION/pwlc/scripts";
  $pwlcSetupEntry="/bin/sh ".$MIDDLEWARE_HOME."/CustomScripts/pwlc/scripts/setup_entry.sh";
  if($#OSM>=1) {
  	$osmCmd=$pwlcSetupEntry." deployApplications "."\\"."\$OSM_PROXY_DEPLOYMENT";
  	print "Executing command for deploying OSM proxy app\n";
  	print "$osmCmd\n";
  	system($osmCmd);
  }

  if($#UIM>=1) {
  	$uimCmd=$pwlcSetupEntry." deployApplications "."\\"."\$UIM_PROXY_DEPLOYMENT";
  	print "Executing command for deploying UIM proxy app\n";
  	print "$uimCmd\n";
  	system($uimCmd);
  }
}
