#!/usr/local/bin/perl

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


############################################################

#This script performs the following 
#1. Creates boot.properties for each application managed servers
#2. Starts managed servers
# Version 1.0
# Rajesh Prabakarn
# v2 - ZKUNJU - 16/01/13 - Removed creation of boot file, polling server status
############################################################

use File::Copy;

require "commoninfo.properties";

$WLST_HOME="$WEBLOGIC_HOME/common/bin";

print "arg $#ARGV\n";
if($#ARGV == -1) {
     print"Usage: perl start_mngserver.pl <server 1> <server 2>...<server n> \n";
     die "Error: Couldn't find the server name argument$!";
}

#General configurations 

#start all weblogic servers
&start_servers();

#Check whether all required servers are running before proceeding the installation
#&server_status

sub start_servers {
   foreach $server (@ARGV) {            
     #print "confirm boot.properties are copied to $server \n";<stdin>;
     if($server =~ /proxy/i) {
        sleep(100);
     }
     #Start all Managed servers
	$ENV{ANT_HOME}="$ANT_PATH";
	$pattern=grep(/OSM_CLUSTER/,@CLUSTERS);
     if($server=~/osm_/ && $pattern != '0' && $OSM_VERSION_GT_THAN_7241=~/false/) {

         foreach $osm (@OSM_COHERENCE) {
            $osmname = (split(":",$osm))[0];$osmhost = (split(":",$osm))[1];$osmport = (split(":",$osm))[2];
		$osmserv = (split("_",$server))[1];
		if($osm =~ /$osmserv/) {
        		$cmd="$ANT_PATH/bin/ant -f startMng.xml -Dstartscript=\"$DOMAIN_HOME/bin/start$osmname.sh\" -Dservername=\"$server\" -DadminURL=\"http://$ADMIN_HOST:$ADMIN_PORT\"";
        		print"$cmd\n";
        		system($cmd);
		}
         }

     }
     elsif($server=~/uim_/) {
        $cmd="$ANT_PATH/bin/ant -f startMng.xml -Dstartscript=\"$DOMAIN_HOME/bin/startUIM.sh\" -Dservername=\"$server\" -DadminURL=\"http://$ADMIN_HOST:$ADMIN_PORT\"";
        system($cmd);
        print"$cmd\n";
     }
     else {
        $cmd="$ANT_PATH/bin/ant -f startMng.xml -Dstartscript=\"$DOMAIN_HOME/bin/startManagedWebLogic.sh\" -Dservername=\"$server\" -DadminURL=\"http://$ADMIN_HOST:$ADMIN_PORT\"";
        system($cmd);
        print"$cmd\n";
     }		
   }   
}
