
# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


# This example script:
# * connects WLST to the Admin Examples Server
# * starts an edit session
# * creates  managed servers.
# * It creates 2 clusters and assigns the servers to the respective clusters.

from java.util import *
from javax.management import *
import javax.management.Attribute

print 'starting the script ....'

clustHM = HashMap()
edit()
startEdit()

for c in clusters:
  print 'creating cluster '+c
  clu = create(c,'Cluster')
  clustHM.put(c,clu)

cd('..\..')

clus1 = clustHM.get(clusters[0])
clus2 = clustHM.get(clusters[1])

cl_addr = ""

for m2, lp2 in ASAP.items():
  asap_server = m2.split(':')
  managedServer = create(asap_server[0],'Server')
  managedServer.setListenPort(lp2)
  managedServer.setListenAddress(asap_server[1])
  print 'creating managed server '+m2

cl_addr = ""

for m, lp in OSM.items():
  osm_server = m.split(':')
  managedServer = create(osm_server[0],'Server')
  managedServer.setListenPort(lp)
  managedServer.setListenAddress(osm_server[1])
  managedServer.setCluster(clus1)
  cl_addr = cl_addr + osm_server[1] + ':' + str(lp) + ','
  print 'creating managed server '+m

cl_addr = cl_addr[:-1] # slice off trailing ','
clus1.setClusterAddress(cl_addr)
cl_addr = ""

for m1, lp1 in UIM.items():
  uim_server = m1.split(':')
  managedServer = create(uim_server[0],'Server')
  managedServer.setListenPort(lp1)
  managedServer.setListenAddress(uim_server[1])
  managedServer.setCluster(clus2)
  cl_addr = cl_addr + uim_server[1] + ':' + str(lp1) + ','
  print 'creating managed server '+m1

cl_addr = cl_addr[:-1] # slice off trailing ','
clus2.setClusterAddress(cl_addr)
cl_addr = ""

for ps, lp2 in OSMPROXY.items():
  proxy_server = ps.split(':')
  managedServer = create(proxy_server[0],'Server')
  managedServer.setListenPort(lp2)
  managedServer.setListenAddress(proxy_server[1])
  print 'creating managed server '+ps

clus1.setFrontendHost(proxy_server[1])
clus1.setFrontendHTTPPort(lp2)
clus1.setClusterMessagingMode('unicast');

for ps, lp2 in UIMPROXY.items():
  proxy_server = ps.split(':')
  managedServer = create(proxy_server[0],'Server')
  managedServer.setListenPort(lp2)
  managedServer.setListenAddress(proxy_server[1])
  print 'creating managed server '+ps

clus2.setFrontendHost(proxy_server[1])
clus2.setFrontendHTTPPort(lp2)
clus2.setClusterMessagingMode('unicast');

  
save()
activate(block="true")
disconnect()
print 'End of script ...'

