#!/usr/local/bin/perl
# 
# $Header: commsplatform/managementpack/scripts/suite/create_repository.pl /cgbuams_main/1 2015/10/07 00:51:18 kithomas Exp $
#
# create_repository.pl
# 
# Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      create_repository.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    ssautuku    03/06/15 - Creation
use Cwd;
$cwd = getcwd;

require "commoninfo.properties";
require "decrypt_util.pl";

require "getweblogver.pl";
#Returns false if weblogic version is not equal to 10.3.6.0.
$ver_flag=&getwebversion();
print "version flag is $ver_flag\n";
$cmd="grep isUIMEnabled $cwd/templates/suite_customer.values";
$t=`$cmd`;
chomp($t);
$x=(split(",",$t))[3];
chomp($x);
print "isUIMEnabled is $x\n";
if($ver_flag=~/false/)
{
        &domain_preinstall();
}
elsif($x=~/true/){
        print "UIM is enabled\n";
        &domain_preinstall();
}
sub domain_preinstall {
        #create MDS schema using the connection and MDS schema information configured in properties file
        print "Inside domain_preinstall to create repository\n";
        if(!-e $RCU_LOCATION) {
        print"Invalid RCU executable location configured $RCU_LOCATION\n";
        die "Error: Couldn't find the file $!";
  	}
        $dbhost=$RCU_DB_HOST;
        $dbport=$RCU_DB_PORT;
        $dbuser=$RCU_DB_USER;
        $encdbpassword=$RCU_DB_PASSWORD;
        $dbpassword=&decryptPassword($encdbpassword,$MIDDLEWARE_HOME,$JAVA_HOME);
        $dbservice=$RCU_DB_SERVICE_NAME;
        $mdsdbuser=$RCU_SCHEMA_USER;
        $mdsdbuser=~ s/_mds|_MDS//g;
        $encmdsdbpassword=$RCU_SCHEMA_PASSWORD;
        $mdsdbpassword=&decryptPassword($encmdsdbpassword,$MIDDLEWARE_HOME,$JAVA_HOME);
        
	&genpwdfile();
	#If weblogic version is 12c then no matter what the application is create repository with IAU MDS OPSS etc
	if($ver_flag=~/false/){
		$cmd="$RCU_LOCATION -createRepository -connectString $dbhost:$dbport:$dbservice -dbUser sys -silent -dbRole SYSDBA -schemaPrefix $mdsdbuser -component MDS -component IAU -component IAU_APPEND -component IAU_VIEWER -component OPSS -f < logs/mdspwd.txt > logs/rcu.log";
	}#If weblogic version is not 12c then create repository if UIM is enabled.
	else{
		$cmd="$RCU_LOCATION -createRepository -connectString $dbhost:$dbport:$dbservice -dbUser sys -silent -dbRole SYSDBA -schemaPrefix $mdsdbuser -component MDS -f < logs/mdspwd.txt > logs/rcu.log";
}
	   print "Executing command.....\n>$cmd \n";
	   system($cmd);

	  #cleanup mdspwd.txt
	 $cmd="rm logs/mdspwd.txt";
	   system($cmd);

	   &validation();
}

sub genpwdfile{
   open(PWDFILE,">logs/mdspwd.txt");
     print PWDFILE "$dbpassword\n";
     print PWDFILE "$mdsdbpassword\n";
        print PWDFILE "$mdsdbpassword\n";
        print PWDFILE "$mdsdbpassword\n";
        print PWDFILE "$mdsdbpassword\n";
        print PWDFILE "$mdsdbpassword\n";
close(PWDFILE);
}

sub validation {
        open (RESOURCES, "logs/rcu.log") || warn "Unable to open file rcu.log\n";
        $flag="false";
        while(<RESOURCES>) {
                chomp($_);
                print "$_\n";
                if($_=~/Metadata Services/ && $_=~/Success/) {
                        $flag="true";
                }
        }
        close(RESOURCES);
        if($flag=~/true/) {
                print"The Metadata Services (MDS) user created successfully\n";
        }
        else {
                die "Error: The Metadata Services (MDS) user is not created successfully$!";
        }
}
 
