#!/bin/bash

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

echo "Reading configuration"

source $THIS_DIR/../common/knobs

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

echo "Configuration read"

echo "Prevalidating installation environment"

$JAVA_HOME/bin/java -cp $THIS_DIR/../common:$THIS_DIR/../../common prevalidate $THIS_DIR/../..


echo "deploying Asset/account/job cartridges"

/bin/bash -c "cd /private/aiacom_test_install/osm/ProductCartridges/install ;  sed -i 's,^\(password=\).*,\1'Oracle123',' jobcontrol_solution.properties"


/bin/bash -c "cd /private/aiacom_test_install/osm/ProductCartridges/install ; export ANT_HOME=/private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8 ;  /private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -buildfile deploy.xml -Dpropertyfile=jobcontrol_solution.properties deploy-cartridge"

#/bin/bash -c "cd /private/aiacom_test_install/osm/ProductCartridges/install ; export ANT_HOME=/private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8 ; /private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -buildfile deploy.xml -Dpropertyfile=account_solution.properties deploy-cartridge"

#/bin/bash -c "cd /private/aiacom_test_install/osm/ProductCartridges/install ; export ANT_HOME=/private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8 ; /private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -buildfile deploy.xml -Dpropertyfile=asset_solution.properties deploy-cartridge"


#/bin/bash -c "cd /private/aiacom_test_install/osm/ProductCartridges/install ; export ANT_HOME=/private/aiacom_test_install/Middleware_wls//oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8 ; /private/aiacom_test_install/Middleware_wls/oracle_common/modules/thirdparty/org.apache.ant/1.9.8.0.0/apache-ant-1.9.8/bin/ant -buildfile deploy.xml -Dpropertyfile=jobcontrol_solution.properties deploy-cartridge"

