#!/usr/local/bin/perl

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


############################################################

#This script performs the following 
# 1. Restart the apps servers using post install startup scripts
# Version 1.0
# Rajesh Prabakarn
############################################################

use File::Copy;

require "commoninfo.properties";

#General configurations 

#start all weblogic servers
&start_servers();

#Check whether all required servers are running before proceeding the installation
#&server_status

sub start_servers {

   foreach $serv (@MANAGED_SERVERS) {        
     #Start all Managed servers
     $ENV{ANT_HOME}="$ANT_PATH";
     if($serv=~/UIM/) {
	$cmd="ant -f startMng.xml -Dstartscript=\"$DOMAIN_HOME/bin/startUIM.sh\" -Dservername=\"$serv\" -DadminURL=\"http://$ADMIN_HOST:$ADMIN_PORT\"";
        system($cmd);
        print"$cmd\n";
     }
     else {
	$cmd="ant -f startMng.xml -Dstartscript=\"$DOMAIN_HOME/bin/startManagedWebLogic.sh\" -Dservername=\"$serv\" -DadminURL=\"http://$ADMIN_HOST:$ADMIN_PORT\"";
        system($cmd);
        print"$cmd\n";
     }
   }
}
