#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# $1 = WEBLOGIC_HOST (AdminServer)
# $2 = WEBLOGIC_PORT (AdminServer)
# $3 = WEBLOGIC_ADMIN_USER
# $4 = WEBLOGIC_ADMIN_USER_PASSWORD
# $5 = WEBLOGIC_HOME_DIR

MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/readlink -fnqs $MANAGEABLE_INSTALL_TOOL_DIR/../..`
WEBLOGIC_HOST=${1}
WEBLOGIC_PORT=${2}
WEBLOGIC_ADMIN_USER=${3}
WEBLOGIC_ADMIN_USER_PASSWORD=${4}
WEBLOGIC_MIDDLEWARE_HOME_DIR=${5}/..

trap "echo INSTALLATION FAILED" ERR
set -e
set -E
set -o pipefail

#-------------------------------------------------------------------------------
# Generate OSM topology

echo "Generating OSM topology"

######################### from osm_7.2.4.1.6 to osm_7.3.1.0.0
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
echo MANAGEABLE_INSTALL_TOOL_DIR=$MANAGEABLE_INSTALL_TOOL_DIR >> $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
echo WEBLOGIC_HOST=$WEBLOGIC_HOST >> $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
echo WEBLOGIC_PORT=$WEBLOGIC_PORT >> $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
echo WEBLOGIC_ADMIN_USER=$WEBLOGIC_ADMIN_USER >> $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
echo WEBLOGIC_ADMIN_USER_PASSWORD=$WEBLOGIC_ADMIN_USER_PASSWORD >> $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties
$JAVA_HOME/bin/java -cp $MANAGEABLE_INSTALL_TOOL_DIR/common template -map=$MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties -in=$MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/generate_osm_topology.py.template > $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/generate_osm_topology.py
/bin/rm -f $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/map.properties

/bin/bash -c "export CONFIG_JVM_ARGS=-Djava.security.egd=file:/dev/./urandom ; $WEBLOGIC_MIDDLEWARE_HOME_DIR/oracle_common/common/bin/wlst.sh $MANAGEABLE_INSTALL_TOOL_DIR/osm_scripts/osm/generate_osm_topology.py"

echo "OSM topology generated"
