# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

#-----------------------------------------------------
# This scripts takes care of the following
#  1. checks the application server status, whether running or shutdown

# Version 1.0
# Rajesh Prabakarn
#-----------------------------------------------------
require "commoninfo.properties";

&fetch_jreloc();

$WLST_HOME="$WEBLOGIC_HOME/common/bin";

$flag=0;
print "adrguments @ARGV \n";
foreach $server (@ARGV) {
	$count=15;
	chomp($server);
	print "Checking server( $server ) status....\n";
	&admstatus_py();
	do {
		&exec_serverstate();
		&polling();
		#last if($flag);
		$count--;
		sleep(10);
	} while ($count>=1)
}
if($count==0) {
	 die "Error: The Weblogic server ($ARGV[0]) is in $state state $!";
}

sub fetch_jreloc {
        open(INSTALL_PROP,"suite_install.properties");

        while(<INSTALL_PROP>) {
                chomp($_);
                if($_ =~ /uim_base.dir/) {
                        $uimloc = (split("=",$_))[1];
                        $uimloc = (split("\"",$uimloc))[1];
                        $javaloc = "$uimloc/jre/1.6.0";
                        print "Java Home location is $javaloc\n";
                }
        }
        close(INSTALL_PROP);
}

sub admstatus_py {
	open(SERVER_STATE,">wlstscripts/server_state.py");
	print SERVER_STATE "connect('weblogic','$ADMIN_PASSWORD','t3://$ADMIN_HOST:$ADMIN_PORT')\;\n";
	print SERVER_STATE "domainRuntime()\n";
	print SERVER_STATE "slrBean = cmo.lookupServerLifeCycleRuntime('$server')\n";
	print SERVER_STATE "status = slrBean.getState()\n";
	print SERVER_STATE "print '$server='+status\n";
	print SERVER_STATE "exit();\n";
	close(SERVER_STATE)
}

sub exec_serverstate {
	$JAVA_HOME=$javaloc;
	$WL_HOME=$WEBLOGIC_HOME;
	#$cmd = "$JAVA_HOME/bin/java -cp $WL_HOME/server/lib/weblogic.jar weblogic.WLST wlstscripts/server_state.py > logs/state$server.log";
	$cmd="$WLST_HOME/wlst.sh wlstscripts/server_state.py > logs/state$server.log";
	print "Getting server status .... \n$cmd\n";
	system($cmd);
}

sub polling {
        open (RESOURCES, "logs/state$server.log") || warn "Unable to open file logs/state$server.log\n";
	while(<RESOURCES>) {
		chomp($_);
		print "$_\n";
		if($_ =~ /^$server/) {
			$state = (split("=",$_))[1];
		}
	}
	close(RESOURCES);
	if($state =~ /RUNNING/i) {
		$flag=1;
		$count=0;
	}
	else {
		$flag=0;
	}
}
