#!/usr/local/bin/perl
# 
# $Header: commsplatform/managementpack/scripts/suite/update_suite_install_props.pl /cgbuams_main/1 2015/09/07 22:42:30 kithomas Exp $
#
# update_suite_install_props.pl
# 
# Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      update_suite_install_props.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    ssautuku    03/21/15 - Creation
############################################################

#This script performs the following
  #Update suite_install.properties
############################################################

use File::Copy;
use Cwd;
$cwd = getcwd;

require "commoninfo.properties";

&update_uim_suite_props();
my $res=&check_enable_racdb();
&update_osm_wls_port();
my $sids;
my $nodes;
if($res eq "true"){
        $sids=&getracdb_sids();
	&switch_enablerac_update();
	&edit_ractype();
        $nodes=&getracdb_nodes();
        print "$sids $nodes\n";
        &add_rac_entries();
}

sub check_enable_racdb {
        my $cmd = "grep IS_RAC_DB $cwd/templates/suite_customer.values";
        my $out = `$cmd`;
        my $init = (split(",",$out))[3];
        chomp($init);
        print "is rac enabled $init\n";
        return $init;
}
sub switch_enablerac_update {
        open(TUIS,"suite_install.properties");
        open(TUIS_TMP,">suite_install.properties_tmp");
        while(<TUIS>){
                chomp($_);
                if($_=~/osm.db.switch/){
                        $_="osm.db.switch=No";
                        print "modified line $_\n";
                        print TUIS_TMP "$_\n";
                }
                elsif($_=~/osm.db.type.rac/){
                        $_="osm.db.type.rac=Yes";
                        print "modified line $_\n";
                        print TUIS_TMP "$_\n";
                }
                else{
                        print TUIS_TMP "$_\n";
                }
        }
        close(TUIS);close(TUIS_TMP);rename("suite_install.properties_tmp","suite_install.properties");

}

sub add_rac_entries {
        my $cmd="grep osm_racnode_* $cwd/templates/suite_customer.values |wc -l";
        my $factor_cmd="grep osm_racnode_host_1 $cwd/templates/suite_customer.values |wc -l";
        my $out=`$cmd`;
        my $fac = `$factor_cmd`;
        chomp($out);
        $fac=$fac*2;
        my $no_of_rac_nodes=int($out/$fac);
        print "number of rac nodes $no_of_rac_nodes\n";
        if($no_of_rac_nodes eq 0){
                print "No rac nodes\n";
        }
        else{
                my $str;
                my @sid=split(":",$sids);
                my @node=split(":",$nodes);
                for($k=1;$k<=$no_of_rac_nodes;$k++){
                        $str=$str."\n"."osm.rac.node.$k=$node[$k-1]";
                }
                for($k=1;$k<=$no_of_rac_nodes;$k++){
                        $str=$str."\n"."osm.rac.sid.$k=$sid[$k-1]";
                }
                print "$str\n";
                open($SUIT,">>suite_install.properties");
                print $SUIT "#Added by update_suite_install_props.pl file";
                print $SUIT $str;
                close($SUIT);
        }
}

sub getracdb_nodes {
        my $cmd = "grep osm_racnode_host* $cwd/templates/suite_customer.values|wc -l";
        my $factor_cmd = "grep osm_racnode_host_1 $cwd/templates/suite_customer.values|wc -l";
        my $out = `$cmd`;
        my $factor = `$factor_cmd`;
        print "factor is $factor\n";
        my $res;
        my @t;
        my $str;
        chomp($out);
        for($l=1;$l<=int($out/$factor);$l++){
                $cmd="grep osm_racnode_host_$l $cwd/templates/suite_customer.values";
                $res=`$cmd`;
                chomp($res);
                $res=(split("\n",$res))[0];
                print "first row is $res\n";
                $res=(split(",",$res))[3];
                print "result set is $res\n";
                $t[$l-1]=$res;
                $str=$str.":".$t[$l-1];
        }
        $str=substr $str,1;
        print "$str\n";
        return $str;
}

sub getracdb_sids {
        my $cmd = "grep osm_racnode_sid* $cwd/templates/suite_customer.values|wc -l";
        my $factor_cmd = "grep osm_racnode_sid_1 $cwd/templates/suite_customer.values|wc -l";
        my $out = `$cmd`;
        my $factor = `$factor_cmd`;
        print "factor in getracdb_sids is $factor\n";
        my $res;
        my @t;
        my $str;
        chomp($out);
        for($l=1;$l<=int($out/$factor);$l++){
                $cmd="grep osm_racnode_sid_$l $cwd/templates/suite_customer.values";
                $res=`$cmd`;
                chomp($res);
                $res=(split("\n",$res))[0];
                print "first row in getracdb_sids is $res\n";
                $res=(split(",",$res))[3];
                print "result set in getracdb_sids is $res\n";
                $t[$l-1]=$res;
                $str=$str.":".$t[$l-1];
        }
        $str=substr $str,1;
        print "$str\n";
        return $str;
}

sub edit_ractype{
        my $pattern=grep(/OSM_CLUSTER/,@CLUSTERS);
        if($pattern != '0'){
                open(TTY,"$cwd/suite_install.properties");
                open(TTY_TMP,">$cwd/suite_install.properties_tmp");
                while(<TTY>){
                        chomp($_);
                        if($_=~/osm.rac.type/){
                                $_="osm.rac.type=ActiveActive";
                                print "Modified line is $_\n";
                                print TTY_TMP "$_\n";
                        }
                        else{print TTY_TMP "$_\n";}
                }
                close(TTY);close(TTY_TMP);rename("$cwd/suite_install.properties_tmp","$cwd/suite_install.properties");
        }
}
sub update_osm_wls_port {
        my $pattern=grep(/OSM_CLUSTER/,@CLUSTERS);
        my $to_be_added;
        if($pattern != '0'){
                $proxy = $OSMPROXY[0];
        }
        else{
                $proxy = $OSM[0];
        }
                $proxy_host=(split(":",$proxy))[1];
                $proxy_port=(split(":",$proxy))[2];
                chomp($proxy_port);chomp($proxy_host);
                print "port is $proxy_port\n";
        open(YYT,">>$cwd/suite_install.properties");
        print YYT "\nosm.wls.server.port=$proxy_port\n";
	print YYT "\nfrontend.host=$proxy_host\n";
        close(YYT);
}
#Updating wlserver path in uim.wlserver.input field and editing schemauser name in uim.mdsdb.input field
sub update_uim_suite_props {

        my $wl_home = $WEBLOGIC_HOME;
        print "weblogic home is $wl_home\n";
        $wl=(split("/",$wl_home))[-1];
        chomp($wl);
        print "wlserver directory name is $wl\n";
        $cmd="grep UIM_DB_VERSION $cwd/templates/suite_customer.values";
        $v=`$cmd`;
        chomp($v);
        my $db_ver=(split(",",$v))[3];
        chomp($db_ver);
        print "UIM DB VERSION is $db_ver\n";
        open(YKT,"$cwd/suite_install.properties");
        open(YKT_TMP,">$cwd/suite_install.properties_tmp");
        while(<YKT>)
        {
                chomp($_);
                if($_=~/uim.wlserver.input/)
                {
                        $_=~s/wlserver_10.3/$wl/g;
                        print "Modified line is $_\n";
                        print YKT_TMP "$_\n";
                }
                elsif($_=~/uim.mdsdb.input/)
                {
                        print "rcu schema user is $RCU_SCHEMA_USER\n";
                        $x="$RCU_SCHEMA_USER"."_mds";
                        $_=~s/$RCU_SCHEMA_USER/$x/g;
                        print "Modified line is $_\n";
                        print YKT_TMP "$_\n";
                }
                elsif($_=~/uim.db.type/)
                {
                        if($db_ver=~/12.1/)
                        {
                                $_=~s/11g/12c/g;
                                print "Modified line is $_\n";
                                print YKT_TMP "$_\n";
                        }
			 else
                        {
                                print "Db verison else loop\n";
                                print YKT_TMP "$_\n";
                        }
                }
                else
                {
                        print YKT_TMP "$_\n";
                }
        }
        close(YKT);close(YKT_TMP);rename("$cwd/suite_install.properties_tmp","$cwd/suite_install.properties");
}

