#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

MIK_INSTALL_JAVA=1
source $THIS_DIR/../common/knobs
MIK_INSTALL_JAVA=

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

#--------------------------------------------------------------------------------

status_code=$(/usr/bin/curl -X POST -H "Content-Type: text/xml;charset=UTF-8" --data "j_username=$OSM_CFS_USER\&j_password=$OSM_CFS_PASSWORD\&submit=Log+In" -L http://$OSM_HOST:$OSM_PORT/OrderManagement/j_security_check -w '%{http_code}' -o $MANAGEABLE_INSTALL_TOOL_DIR/pingtests/pingtests/osm_login.xml)
# Status of 200 is a succesfull request
if [ $status_code -ne "200" ]
then
        echo "http request to reach OSM login address failed with code=$status_code"
else
        echo "OSM is up and running"
fi
