#!/bin/sh

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



# TODO check shell

THIS_DIR=`/usr/bin/dirname ${BASH_SOURCE}`

trap "echo CONFIGURATION FAILED" ERR
set -e
set -E
set -o pipefail

MIK_INSTALL_JAVA=1
source $THIS_DIR/../common/knobs
MIK_INSTALL_JAVA=

source $MANAGEABLE_INSTALL_TOOL_DIR/common/mik_lib

#--------------------------------------------------------------------------------

status_code=$(/usr/bin/curl -X GET -H "Content-Type: text/xml;charset=UTF-8" -L http://$PDC_WEBLOGIC_HOST:$PDC_MSERVER_SOA_PORT_1/pdc/j_security_check?j_username=$PDC_LDAP_USER\&j_password=$PDC_LDAP_PASSWORD -w '%{http_code}' -o $MANAGEABLE_INSTALL_TOOL_DIR/pingtests/pingtests/pdc_login.xml)
# Status of 200 is a succesfull request
if [ $status_code -ne "200" ]
then
        echo "http request to reach PDC login address failed with code=$status_code"
else
        echo "PDC is up and running"
	
	
	if [ $RODOD_TOPOLOGY == 1 -o $RODOD_TOPOLOGY == 2 ]
		then
		echo "Starting PDC Import"
		$THIS_DIR/../common/go_import_pdc.sh
	fi
fi

