import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.OutputKeys;
import java.io.File;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

public class AppendDateProductXML
{
	public static void main (String [] args)throws Exception {
		String date = args[0];
		Document doc = null;
		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
		dbf.setNamespaceAware(false);
		DocumentBuilder db = dbf.newDocumentBuilder();
		TransformerFactory transformerFactory = TransformerFactory.newInstance();
		Transformer transformer = transformerFactory.newTransformer();
		DOMSource source = null;
		StreamResult result = null;
		String prod= new File(args[1]).getAbsolutePath();
		if (File.separatorChar != '/')
			prod = prod.replace(File.separatorChar, '/');
		if (!prod.startsWith("/"))
			prod= "/" + prod;
		prod="file:"+prod;
		doc=db.parse(prod);
		transformation(date,doc);
		source = new DOMSource(doc);
        result = new StreamResult(prod);
        transformer.setOutputProperty(OutputKeys.INDENT, "yes");
		transformer.setOutputProperty("{http://xml.apache.org/xslt}indent-amount", "4");
        transformer.transform(source, result);
	}
	public static void transformation(String date, Document doc)throws Exception {
		XPath xpathprocessor = XPathFactory.newInstance().newXPath();
		String xpath="/PricingObjectsJXB/chargeOffering/name";
		Node node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
		if(node!=null){
			String name=node.getTextContent();
			if(name.contains("CME")){
				int i=name.indexOf("CME");
				name=date + " " + name.substring(i);
				node.setTextContent(name);
			}
		}
		xpath="/PricingObjectsJXB/chargeOffering/description";
		node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
		if(node!=null){
			String name=node.getTextContent();
			if(name.contains("CME")){
				int i=name.indexOf("CME");
				name=date + " " + name.substring(i);
				node.setTextContent(name);
			}
		}
		xpath="/PricingObjectsJXB/chargeRatePlan/name";
                node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
                if(node!=null){
                        String name=node.getTextContent();
                        if(name.contains("CHG")){
                                int i=name.indexOf("CHG");
                                name=date + " " + name.substring(i);
                                node.setTextContent(name);
                        }
                }
		xpath="/PricingObjectsJXB/chargeRateplanSelector/name";
                node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
                if(node!=null){
                        String name=node.getTextContent();
                        if(name.contains("CHS")){
                                int i=name.indexOf("CHS");
                                name=date + " " + name.substring(i);
                                node.setTextContent(name);
                        }
                }
		xpath="/PricingObjectsJXB/chargeRateplanSelector/description";
                node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
                if(node!=null){
                        String name=node.getTextContent();
                        if(name.contains("CHS")){
                                int i=name.indexOf("CHS");
                                name=date + " " + name.substring(i);
                                node.setTextContent(name);
                        }
                }
		xpath="/PricingObjectsJXB/chargeRateplanSelector/validityPeriod/rule/result/resultName";
                node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
                if(node!=null){
                        String name=node.getTextContent();
                        if(name.contains("CHG")){
                                int i=name.indexOf("CHG");
                                name=date + " " + name.substring(i);
                                node.setTextContent(name);
                        }
                }
		xpath="/PricingObjectsJXB/chargeOffering/chargeEventMap/chargeRatePlanSelectorName";
                node = (Node)xpathprocessor.evaluate(xpath, doc, XPathConstants.NODE);
                if(node!=null){
                        String name=node.getTextContent();
                        if(name.contains("CHS")){
                                int i=name.indexOf("CHS");
                                name=date + " " + name.substring(i);
                                node.setTextContent(name);
                        }
                }
	}
}
