#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

#11/30/2012  ZKUNJU         Created

#Section to be updated -STARTS
JAVA_HOME=/tools/CGBU/contrib/Linux/x86_64/packages/jdk/jdk1.6.0_31
MIDDLEWARE_HOME=/cgbu/home0/zkunju/Oracle/Middleware/
COMMON_INFO_LOC=/cgbu/home0/zkunju/tool/PWLC/commoninfo.properties
PLATFORM_WLCOMMANDS_DIR=/scratch/private/downloads/aiacom_manageable_install/pwlc
UIM_LOCATION=/cgbu/home0/zkunju/opt/UIM
#Section to be updated -ENDS

#Optional variables to update -STARTS
WLST_OFFLINE_LOG=$PLATFORM_WLCOMMANDS_DIR/logs/wlstOffline.log
DB_LOG=$PLATFORM_WLCOMMANDS_DIR/logs/db.log
#Optional variables to update -ENDS

CLASSPATH=$MIDDLEWARE_HOME/wlserver/server/lib/weblogic.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/wlserver_10.3/server/lib/weblogic.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/wlserver/modules/com.oracle.core.weblogic.msgcat.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/wlserver/server/lib/wlthint3client.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/thirdparty/ant-contrib-1.0b3.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.config-wls_8.6.0.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.config_8.6.0.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.wizard_7.8.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.comdev_7.8.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.glcm.encryption_2.7.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.dependency_1.8.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.config-wls-schema_8.6.0.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.config-owsm_8.6.0.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.encryption_2.6.0.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.glcm.common-logging_1.6.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/com.oracle.cie.xmldh_3.4.2.0.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/wlserver/modules/features/wlst.wls.classpath.jar
CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/oracle_common/modules/ojdbc8.jar
CLASSPATH=$CLASSPATH:$PLATFORM_WLCOMMANDS_DIR/lib/J2EECore.jar:$PLATFORM_WLCOMMANDS_DIR/lib/CommsPlatformWLCommands.jar
#CLASSPATH=$CLASSPATH:$MIDDLEWARE_HOME/wlserver_10.3/server/lib/ojdbc6.jar
COMMON_COMPONENTS_HOME=$MIDDLEWARE_HOME/oracle_common
export COMMON_COMPONENTS_HOME

PLIB=$PLATFORM_WLCOMMANDS_DIR/lib/
ULIB=$UIM_LOCATION/CartridgeDeployerClients/lib/
CARTRIDGE_CLASSPATH=$PLIB/CommsPlatformWLCommands.jar:$PLIB/J2EECore.jar
CARTRIDGE_CLASSPATH=$CARTRIDGE_CLASSPATH:$ULIB/activation.jar:$ULIB/axis.jar:$ULIB/cartridge-management-client.jar:$ULIB/cartridge-management-commons.jar:$ULIB/com.oracle.ocm_1.0.0.0.jar
CARTRIDGE_CLASSPATH=$CARTRIDGE_CLASSPATH:$ULIB/com.oracle.ws.orawsdl_1.0.0.0_10-1-3-3-0-p7138149.jar:$ULIB/commons-discovery-0.2.jar:$ULIB/commons-logging-1.0.4.jar:$ULIB/jaxrpc.jar
CARTRIDGE_CLASSPATH=$CARTRIDGE_CLASSPATH:$ULIB/mailapi_1_3_1.jar:$ULIB/serializer.jar:$ULIB/xalan.jar:$ULIB/xercesImpl.jar:$UIM_LOCATION/CartridgeDeployerClients/tools/cartridge-management-client-tools.jar

SETUP_COMMAND_CLASS=oracle.communications.platform.em.automation.weblogic.SetupDomain
DESTROY_COMMAND_CLASS=oracle.communications.platform.em.automation.weblogic.DestroyDomain
HELPER_COMMAND_CLASS=oracle.communications.platform.em.automation.weblogic.Helper
DBTOOLS_COMMAND_CLASS=oracle.communications.platform.em.automation.database.DBTools
CARTRIDGETOOLS_COMMAND_CLASS=oracle.communications.platform.em.automation.cartridgemanagement.CartridgeTools

OPTIONS="-DCOMMON_COMPONENTS_HOME=$MIDDLEWARE_HOME/oracle_common -Duser.timezone=UTC -Djava.util.logging.config.file=$PLATFORM_WLCOMMANDS_DIR/scripts/logging.config -Dwlst.offline.log=$WLST_OFFLINE_LOG -Dpwlc.sql.log=$DB_LOG"

OLD_COMMON_INFO=$COMMON_INFO_LOC
INPUTS_FILE=$PLATFORM_WLCOMMANDS_DIR/scripts/_platform_wlcommands_inputs.properties

SETUP_COMMAND="$JAVA_HOME/bin/java -XX:PermSize=1024M -XX:MaxPermSize=256M -cp $CLASSPATH $OPTIONS $SETUP_COMMAND_CLASS $INPUTS_FILE"
DESTROY_COMMAND="$JAVA_HOME/bin/java -cp $CLASSPATH $OPTIONS $DESTROY_COMMAND_CLASS $INPUTS_FILE"

DBTOOLS_COMMAND="$JAVA_HOME/bin/java -cp $CLASSPATH $OPTIONS $DBTOOLS_COMMAND_CLASS $INPUTS_FILE"

CARTRIDGETOOLS_COMMAND="$JAVA_HOME/bin/java -cp $CARTRIDGE_CLASSPATH $OPTIONS $CARTRIDGETOOLS_COMMAND_CLASS $INPUTS_FILE"


