#!/usr/local/bin/perl
# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


#11/30/2012  ZKUNJU         Created

use File::Basename;
my $dirname = dirname(__FILE__);
$commonInfo="commoninfo.properties";
require "$commonInfo";

&updateGenCommonInfo();

sub updateGenCommonInfo {       
	$_updatedCommonInfoString="";
	$osm_cluster_name="";
	$uim_cluster_name="";
	#Donot change this line, this will point scripts/ directory of PWLC
	$updatedCommonInfo="$dirname/../_platform_wlcommands_inputs.properties";
	$osm_cluster_address="";
	$uim_cluster_address="";

	my $update_osm_cluster = 0;
	my $update_uim_cluster = 0;   

	foreach $as (@CLUSTERS) {
	                $osm_cluster = (split(":",$as))[0].".Cluster";
	                if ($as =~ "OSM") {
	                   $osm_cluster_name = $as;
	                   $_updatedCommonInfoString = $_updatedCommonInfoString.$osm_cluster_name.".FrontendHost=".(split(":",@OSMPROXY[0]))[1]."\n";
	                   $_updatedCommonInfoString = $_updatedCommonInfoString.$osm_cluster_name.".FrontendHTTPPort=".(split(":",@OSMPROXY[0]))[2]."\n";
	 		   $update_osm_cluster=1;
	                   
	                }
	                if ($as =~ "UIM") {
	                   $uim_cluster_name = $as;
	                   $_updatedCommonInfoString = $_updatedCommonInfoString.$uim_cluster_name.".FrontendHost=".(split(":",@UIMPROXY[0]))[1]."\n";
	                   $_updatedCommonInfoString = $_updatedCommonInfoString.$uim_cluster_name.".FrontendHTTPPort=".(split(":",@UIMPROXY[0]))[2]."\n";
	    		   $update_uim_cluster=1;
	                }
	}
	#Process only if there are any OSM cluster
	if ( $update_osm_cluster ) {
		foreach $as (@OSM) {
		                $_updatedCommonInfoString = $_updatedCommonInfoString.(split(":",$as))[0].".Cluster=".$osm_cluster_name."\n";
		                $osm_cluster_address= $osm_cluster_address.(split(":",$as))[1].":".(split(":",$as))[2].",";
		}  
		chop($osm_cluster_address);
		$_updatedCommonInfoString = $_updatedCommonInfoString.$osm_cluster_name.".ClusterMessagingMode=unicast"."\n";
		$_updatedCommonInfoString = $_updatedCommonInfoString.$osm_cluster_name.".ClusterAddress=".$osm_cluster_address."\n";
	}

	#Process only if there are any UIM cluster
	if ( $update_uim_cluster ) {
		foreach $as (@UIM) {
		                $_updatedCommonInfoString = $_updatedCommonInfoString.(split(":",$as))[0].".Cluster=".$uim_cluster_name."\n";
		                $uim_cluster_address= $uim_cluster_address.(split(":",$as))[1].":".(split(":",$as))[2].",";
		}  
		chop($uim_cluster_address);
		$_updatedCommonInfoString = $_updatedCommonInfoString.$uim_cluster_name.".ClusterMessagingMode=unicast"."\n";
		$_updatedCommonInfoString = $_updatedCommonInfoString.$uim_cluster_name.".ClusterAddress=".$uim_cluster_address."\n";

	}

	#Process only if there are any ASAP server
	if (@ASAP) {
		$asap_jms_deployment = "jms-notran-adp:".$WEBLOGIC_HOME."/server/lib/jms-notran-adp.rar:";
		$asap_jms_deployment = $asap_jms_deployment.(split(":",@ASAP[0]))[0];
		$_updatedCommonInfoString = $_updatedCommonInfoString. "\n#ASAP JMS deployment string, use this variable, ASAP_JMS_DEPLOYMENT in the procedure XML\n";
		$_updatedCommonInfoString = $_updatedCommonInfoString."ASAP_JMS_DEPLOYMENT=".$asap_jms_deployment."\n";
	}

	#Process only if there are any UIM proxy server
	if (@UIMPROXY) {
	        $clusterName=$uim_cluster_name;
		$proxyName=(split(":",@UIMPROXY[0]))[0];
		$uim_proxy_deployment = "OracleProxy4_".$clusterName.":";
		$uim_proxy_deployment = $uim_proxy_deployment.$MIDDLEWARE_HOME."/user_projects/applications/".$DOMAIN_NAME."/apps/OracleProxy4_".$clusterName.":";
	        $uim_proxy_deployment = $uim_proxy_deployment.$proxyName;
		$_updatedCommonInfoString = $_updatedCommonInfoString. "\n#UIM proxy deployment string,use variable,UIM_PROXY_DEPLOYMENT in the procedure XML\n";
		$_updatedCommonInfoString = $_updatedCommonInfoString."UIM_PROXY_DEPLOYMENT=".$uim_proxy_deployment."\n";
	}

	#Process only if there are any UIM proxy server
	if (@OSMPROXY) {
	        $clusterName=$osm_cluster_name;
		$proxyName=(split(":",@OSMPROXY[0]))[0];
		$osm_proxy_deployment = "OracleProxy4_".$clusterName.":";
		$osm_proxy_deployment = $osm_proxy_deployment.$MIDDLEWARE_HOME."/user_projects/applications/".$DOMAIN_NAME."/apps/OracleProxy4_".$clusterName.":";
	        $osm_proxy_deployment = $osm_proxy_deployment.$proxyName;
		$_updatedCommonInfoString = $_updatedCommonInfoString. "\n#OSM proxy deployment string,use variable,OSM_PROXY_DEPLOYMENT in the procedure XML\n";
		$_updatedCommonInfoString = $_updatedCommonInfoString."OSM_PROXY_DEPLOYMENT=".$osm_proxy_deployment."\n";
	}
	#print "Writing the following to file ".$updatedCommonInfo."\n";
	#print $_updatedCommonInfoString."\n";
	print "Updating file ".$updatedCommonInfo." with EM scripts commoninfo customization\n";
	open (MYFILE, ">>$updatedCommonInfo");
	print MYFILE "#Added by updateNewCommonInfo.pl\n";
	print MYFILE $_updatedCommonInfoString;
	close (MYFILE);
	print "Updated file ".$updatedCommonInfo." with EM scripts commoninfo customization\n";

}
